<?php

if (function_exists('wpd_check_theme_update')) {
    return;
}

if (!function_exists('wpd_get_product_name')) {
    function wpd_get_product_name (){
        $product = 'Oswald - Creative Multi-Purpose Responsive WordPress Theme';
        return $product;
    }
}

//  Autoupdate theme
if (!function_exists('wpd_check_theme_update')) {

    function wpd_check_theme_update ( $transient ){
        $slug = 'oswald';
        global $wp_version;

        if ( empty( $transient->checked ) || empty( $transient->checked[ $slug ] ) || ! empty( $transient->response[ $slug ] ) ) {
            return $transient;
        }   

        $product = wpd_get_product_name();
        $purchase_code = 'wpdaddy_oswald_pro';

        $response = wp_remote_post('https://accounts.wpdaddy.com/update/upgrade.php', array(
            'user-agent' => 'WordPress/'.$wp_version.'; '.esc_url( home_url() ),
            'sslverify' => false,
            'body' => array(
                'code' => urlencode($purchase_code),
                'slug' => urlencode('wpd_'.$slug),
                'product' => urlencode($product)
            )
        ));

        $response_code = wp_remote_retrieve_response_code( $response );
        $version_info = wp_remote_retrieve_body( $response );    

        if ( $response_code != 200 || is_wp_error( $version_info ) ) {
            return $transient;
        }

        $response = json_decode($version_info,true);

        if (isset( $response['transient'] ) && !empty( $response['transient']['changelog'] )) {
            global $wp_version;
            $my_theme = wp_get_theme();
            $version = $my_theme->get( 'Version' );
            $wpd_changelog = get_option( 'wpd_changelog' );
            if (!empty($wpd_changelog) && is_array($wpd_changelog)) {
                if (version_compare( $wpd_changelog[$slug]['changelog_version'], $response['transient']['new_version'], '<')) {
                    $wpd_changelog[$slug]['changelog_version'] = $response['transient']['new_version'];
                    $wpd_changelog[$slug]['content'] = wpd_modify_changelog($response['transient']['changelog']);
                    update_option( 'wpd_changelog' , $wpd_changelog);
                }           
            }else{
                $wpd_changelog = array();
                $wpd_changelog[$slug]['changelog_version'] = $response['transient']['new_version'];
                $wpd_changelog[$slug]['content'] = wpd_modify_changelog($response['transient']['changelog']);
                update_option( 'wpd_changelog' , $wpd_changelog);
            }
        }    

        if ( isset( $response['allow_update'] ) && $response['allow_update'] && isset( $response['transient'] ) 
        && version_compare( $transient->checked[ $slug ], $response['transient']['new_version'], '<') ) {
            $transient->response[ $slug ] = (array) $response['transient'];
        }

        return $transient;
    }
    add_action( 'pre_set_site_transient_update_themes', 'wpd_check_theme_update', 100 );
}

if (!function_exists('wpd_modify_changelog')) {
    function wpd_modify_changelog($content){
        if (!empty($content)) {
            $pattern = array(
                '/(\*\*\*)(.+)(\*\*\*)/',                    
                '/(\=\=)(.+)(\=\=)/',
                '/(\*)/'
            );
            $replace = array('<h1>${2}</h1>','</br><h2>${2}</h2>','</br>&#9642;');
            $content = preg_replace($pattern,$replace,$content);
            return $content;
        }else{
            return;
        }
    }
}

