<?php

if(!function_exists('oswald_option')) {
    function oswald_option($name,$theme_options=array()) {   
        $theme_options = get_option( 'oswald' );    
        if (  class_exists( 'Redux' ) || (!empty($theme_options) && isset($theme_options[$name]) ) ) {            
            if (!empty($_POST['customized']) && $_POST['customized'] != NULL) {
                $customized = json_decode( stripslashes_deep( $_POST['customized'] ), true);
                if (!empty($customized) && is_array($customized) && isset($customized["oswald[".$name."]"])) {
                    return $customized["oswald[".$name."]"];
                } 
            }            
            if (empty($theme_options)) {
                $theme_options = get_option( 'oswald_default_options' );
            }
            return isset($theme_options[$name]) ? $theme_options[$name] : null;
        }else{
            $default_option = get_option( 'oswald_default_options' );
            return isset($default_option[$name]) ? $default_option[$name] : null;
        }
    }
}

include_once(ABSPATH . 'wp-admin/includes/plugin.php');
if (!class_exists('Vc_Manager')) {
    return;
}

    require_once OSWALD_PRO_PLUGIN_DIR . '/includes/modules/custom_types/on_off.php';
    require_once OSWALD_PRO_PLUGIN_DIR . '/includes/modules/custom_types/custom_select.php';



	require_once OSWALD_PRO_PLUGIN_DIR . '/includes/modules/custom_types/packery_layout_select.php';
	require_once OSWALD_PRO_PLUGIN_DIR . '/includes/modules/custom_types/element_pos.php';
	require_once OSWALD_PRO_PLUGIN_DIR . '/includes/modules/custom_types/image_select.php';
    require_once OSWALD_PRO_PLUGIN_DIR . '/includes/modules/custom_types/multi_select.php';



if (!function_exists('wpd_vcSetAsTheme')) {
    add_action('vc_before_init', 'wpd_vcSetAsTheme');
    function wpd_vcSetAsTheme() {
        vc_set_as_theme($disable_updater = true);
    }
}


// Link your elements's folder
if (!function_exists('vc_before_init_actions')) {
    add_action( 'vc_before_init', 'vc_before_init_actions' );
    function vc_before_init_actions() {
        if( function_exists('vc_set_shortcodes_templates_dir') ){
            vc_set_shortcodes_templates_dir( OSWALD_PRO_PLUGIN_DIR . '/includes/modules/renders/' );
        }
    }
}


/* List of Active VC Modules */
$wpd_vc_modules = array(
    'counter',
    'custom_text',
    'spacing',
    'services',
    'blog_posts',
    'icon_box',
    'video',
    'button',
    'carousel',
    'image_box',
    'message_box',
    'price_block',
    'process_bar',
    'testimonials',
    'countdown'
);

foreach ($wpd_vc_modules as $wpd_vc_module) {
    require_once OSWALD_PRO_PLUGIN_DIR . '/includes/modules/options/' . $wpd_vc_module . '.php';
}

/* Row Settings */
vc_add_param( 'vc_row' , array(
    'type' => 'wpdaddy_on_off',
    'heading' => esc_html__( 'Enable column separator?', 'oswald' ),
    'param_name' => 'column_separator_row',
    'std' => 'no',
    'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
));

vc_add_param( 'vc_row' , array(
    'type' => 'colorpicker',
    'heading' => esc_html__( 'Column separator color', 'oswald' ),
    'param_name' => 'column_separator_color_row',
    'dependency' => array(
        'element' => 'column_separator_row',
        'not_empty' => true,
    ),
));

vc_add_param( 'vc_row' , array(
    'type' => 'wpdaddy_on_off',
    'heading' => esc_html__( 'Rounded?', 'oswald' ),
    'param_name' => 'rounded_row',
    'std' => 'no',
    'edit_field_class' => 'vc_col-sm-4',
    'group' => esc_html__( 'Design Options', 'oswald' ),
));

vc_add_param( 'vc_row' , array(
    'type' => 'wpdaddy_on_off',
    'heading' => esc_html__( 'Box Shadow?', 'oswald' ),
    'param_name' => 'box_shadow_row',
    'std' => 'no',
    'edit_field_class' => 'vc_col-sm-4',
    'group' => esc_html__( 'Design Options', 'oswald' ),
));

vc_add_param( 'vc_row' , array(
    'type' => 'wpdaddy_on_off',
    'heading' => esc_html__( 'Higher z-index', 'oswald' ),
    'param_name' => 'row_higher_z_index',
    'std' => 'no',
    'edit_field_class' => 'vc_col-sm-4',
    'group' => esc_html__( 'Design Options', 'oswald' ),
));

vc_add_param( 'vc_row' , array(
    'type' => 'param_group',
    'heading' => esc_html__( 'Add Triangle shapes', 'oswald' ),
    'param_name' => 'triangles_shapes',
    'description' => esc_html__( 'Enter values for graph - value and color.', 'oswald' ),
    'group' => esc_html__( 'Design Options', 'oswald' ),
    'value' => '',
    'params' => array(
        array(
            'type' => 'wpdaddy_custom_select',
            'heading' => esc_html__( 'Shape position', 'oswald' ),
            'param_name' => 'shape_position',
            'value' => 'top',
            'options' => array(
                esc_html__( 'Top', 'oswald' ) => 'top',
                esc_html__( 'Bottom', 'oswald' )    => 'bottom',
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Angle', 'oswald' ),
            'param_name' => 'angle',
            'description' => esc_html__( 'Enter value of angle.', 'oswald' ),
            'admin_label' => true,
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Background Color', 'oswald' ),
            'param_name' => 'customcolor',
            'description' => esc_html__( 'Select background color.', 'oswald' ),
        ),
        array(
            'type' => 'wpdaddy_on_off',
            'heading' => esc_html__( 'Enable shape box-shadow?', 'oswald' ),
            'param_name' => 'box_shadow',
            'options' => array(
                'yes' => array(
                    'on' => esc_html__('On', 'oswald'),
                    'off' => esc_html__('Off', 'oswald'),
                ),
            ),
            'value' => 'no',
        ),
    ),
));


vc_add_param( 'vc_row_inner' , array(
    'type' => 'checkbox',
    'heading' => esc_html__( 'Enable column separator?', 'oswald' ),
    'param_name' => 'column_separator_row_inner',
    'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
));

vc_add_param( 'vc_row_inner' , array(
    'type' => 'colorpicker',
    'heading' => esc_html__( 'Column separator color', 'oswald' ),
    'param_name' => 'column_separator_color_row_inner',
    'dependency' => array(
        'element' => 'column_separator_row_inner',
        'not_empty' => true,
    ),
));



vc_remove_param( 'vc_tta_tabs', 'style' );
vc_remove_param( 'vc_tta_tabs', 'shape' );
vc_remove_param( 'vc_tta_tabs', 'color' );
vc_remove_param( 'vc_tta_tabs', 'spacing' );
vc_remove_param( 'vc_tta_tabs', 'gap' );
vc_remove_param( 'vc_tta_tabs', 'pagination_style' );
vc_remove_param( 'vc_tta_tabs', 'pagination_color' );
vc_remove_param( 'vc_tta_tabs', 'no_fill_content_area' );


vc_remove_param( 'vc_tta_tour', 'style' );
vc_remove_param( 'vc_tta_tour', 'shape' );
vc_remove_param( 'vc_tta_tour', 'color' );
vc_remove_param( 'vc_tta_tour', 'spacing' );
vc_remove_param( 'vc_tta_tour', 'gap' );
vc_remove_param( 'vc_tta_tour', 'pagination_style' );
vc_remove_param( 'vc_tta_tour', 'pagination_color' );
vc_remove_param( 'vc_tta_tour', 'no_fill_content_area' );

vc_remove_param( 'vc_tta_accordion', 'color' );
vc_remove_param( 'vc_tta_accordion', 'spacing' );
vc_remove_param( 'vc_tta_accordion', 'gap' );
vc_remove_param( 'vc_tta_accordion', 'no_fill' );
vc_remove_param( 'vc_tta_accordion', 'style' );
vc_remove_param( 'vc_tta_accordion', 'shape' );

/*vc_add_param( 'vc_tta_accordion' , array(
    'type' => 'checkbox',
    'heading' => "Accordion On Dark Background",
    'param_name' => 'shape',
));*/

vc_remove_param( 'vc_toggle', 'use_custom_heading' );
vc_remove_param( 'vc_toggle', 'custom_font_container' );
vc_remove_param( 'vc_toggle', 'custom_use_theme_fonts' );
vc_remove_param( 'vc_toggle', 'custom_google_fonts' );
vc_remove_param( 'vc_toggle', 'custom_css_animation' );
vc_remove_param( 'vc_toggle', 'custom_el_class' );

vc_add_param( 'vc_toggle' , array(
    'type' => 'dropdown',
    'heading' => "Style",
    'param_name' => 'style',
    'value' => array(
        esc_html__( 'Classic', 'oswald' ) => "classic",
        esc_html__( 'Solid', 'oswald' ) => "accordion_solid",
        esc_html__( 'In Border', 'oswald' ) => "accordion_bordered",
    )
));
vc_add_param( 'vc_toggle' , array(
    'type' => 'dropdown',
    'heading' => "Icon",
    "param_name" => "color",
    'value' => array(
        esc_html__( 'None', 'oswald' ) => "none",
        esc_html__( 'Chevron', 'oswald' ) => "chevron",
        esc_html__( 'Plus', 'oswald' ) => "plus",
        esc_html__( 'Triangle', 'oswald' ) => "triangle",
    )
));
vc_add_param( 'vc_toggle' , array(
    'type' => 'dropdown',
    'heading' => "Icon Position",
    "param_name" => "size",
    'value' => array(
        esc_html__( 'Left', 'oswald' ) => "left",
        esc_html__( 'Right', 'oswald' ) => "right",
    )
));

vc_add_param("vc_separator",array(
    'type' => 'dropdown',
    'heading' => esc_html__( 'Element width', 'oswald' ),
    'param_name' => 'el_width',
    'value' => array(
        '100%' => '',
        '90%' => '90',
        '80%' => '80',
        '70%' => '70',
        '60%' => '60',
        '50%' => '50',
        '40%' => '40',
        '30%' => '30',
        '20%' => '20',
        '10%' => '10',
        '100px' => '100px',
        '75px' => '75px',
        '40px' => '40px',
        ),
    'description' => esc_html__( 'Select separator width (percentage or px).', 'oswald' ),
));