<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$header_font = oswald_option('header-font');
$main_font = oswald_option('main-font');

if (function_exists('vc_map')) {
    vc_map(array(
        'base' => 'wpd_blog_posts',
        'name' => esc_html__('Blog Posts', 'oswald'),
        "description" => esc_html__("Display the blog posts", 'oswald'),
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        'icon' => 'wpdaddy_icon',
        'params' => array(
            array(
                'type' => 'loop',
                'heading' => esc_html__('Blog Items', 'oswald'),
                'param_name' => 'build_query',
                'settings' => array(
                    'size' => array('hidden' => false, 'value' => 4 * 3),
                    'order_by' => array('value' => 'date'),
                    'post_type' => array('value' => 'post', 'hidden' => true),
                    'categories' => array('hidden' => false),
                    'tags' => array('hidden' => false)
                ),
                'description' => esc_html__('Create WordPress loop, to populate content from your site.', 'oswald')
            ),
            // View Type
            array(
                'type' => 'wpdaddy_dropdown',
                'class' => '',
                'heading' => esc_html__('Style select', 'oswald'),
                'param_name' => 'view_type',
                'fields' => array(
                    'type1' => array(
                        'image' => get_template_directory_uri() . '/assets/images/wpd_composer_addon/1.jpg',
                        'descr' => esc_html__('Standard', 'oswald')),
                    'type2' => array(
                        'image' => get_template_directory_uri() . '/assets/images/wpd_composer_addon/2.jpg',
                        'descr' => esc_html__('List', 'oswald')),
                    /*'type3' => array(
                        'image' => get_template_directory_uri() . '/assets/images/wpd_composer_addon/3.jpg',
                        'descr' => esc_html__('List with thumb', 'oswald')),*/
                ),
                'value' => 'type1',
            ),
            // Post meta
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__('Show post-meta author?', 'oswald' ),
                'param_name' => 'meta_author',
                'description' => esc_html__( 'If active, post-meta will have author.', 'oswald' ),
                'edit_field_class' => 'vc_col-sm-4',
                'std' => 'yes',
                'save_always' => true,
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__('Show post-meta comments?', 'oswald' ),
                'param_name' => 'meta_comments',
                'description' => esc_html__( 'If active, post-meta will have comments.', 'oswald' ),
                'edit_field_class' => 'vc_col-sm-4',
                'std' => 'yes',
                'save_always' => true,
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__('Show post categories?', 'oswald' ),
                'param_name' => 'meta_categories',
                'description' => esc_html__( 'If active, post-meta will have categories.', 'oswald' ),
                'edit_field_class' => 'vc_col-sm-4',
                'std' => 'yes',
                'save_always' => true,
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__('Show post-meta date?', 'oswald' ),
                'param_name' => 'meta_date',
                'description' => esc_html__( 'If active, post-meta will have date.', 'oswald' ),
                'edit_field_class' => 'vc_col-sm-4',
                'save_always' => true,
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__('Show post-meta likes?', 'oswald' ),
                'param_name' => 'meta_likes',
                'description' => esc_html__( 'If active, post-meta will have date.', 'oswald' ),
                'std' => 'yes',
                'edit_field_class' => 'vc_col-sm-4',
                'save_always' => true,
            ),
            // Post Read More Link
            /*array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__('Show post read more link?', 'oswald' ),
                'param_name' => 'post_read_more_link',
                'description' => esc_html__( 'If checked, post read more link is visible.', 'oswald' ),
                'edit_field_class' => 'vc_col-sm-4',
                "dependency" => Array("element" => "view_type","value" => array("type1"))
            ),*/
            // Image Proportions
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__( 'Image Proportions', 'oswald' ),
                'param_name' => 'image_proportions',
                "options"         => array(
                    esc_html__( '4/3', 'oswald' ) => '4_3',
                    esc_html__( 'Horizontal', 'oswald' ) => 'horizontal',
                    esc_html__( 'Vertical', 'oswald' ) => 'vertical',
                    esc_html__( 'Square', 'oswald' ) => 'square',
                    esc_html__( 'Original', 'oswald' ) => 'original'
                ),
                'value' => 'square',
                "description" => esc_html__("Select image proportions.", 'oswald'),
                "dependency" => Array("element" => "view_type","value" => array("type1")),
            ),
            // Items per line
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__( 'Items Per Line', 'oswald' ),
                'param_name' => 'items_per_line',
                "options"         => array(
                    esc_html__( '1', 'oswald' ) => '1',
                    esc_html__( '2', 'oswald' ) => '2',
                    esc_html__( '3', 'oswald' ) => '3',
                    esc_html__( '4', 'oswald' ) => '4'
                ),
                'value' => '1',
                "description" => esc_html__("Select post items per line.", 'oswald'),
                "dependency" => Array("element" => "view_type","value" => array("type1")),
            ),
            // Spacing beetween items
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__( 'Spacing beetween items', 'oswald' ),
                'param_name' => 'spacing_beetween_items',
                "options"         => array(
                    esc_html__( '30px', 'oswald' )      => '30',
                    esc_html__( '25px', 'oswald' )      => '25',
                    esc_html__( '20px', 'oswald' )      => '20',
                    esc_html__( '15px', 'oswald' )      => '15',
                    esc_html__( '10px', 'oswald' )      => '10',
                    esc_html__( '5px', 'oswald' )       => '5'
                ),
                "description" => esc_html__("Select spacing beetween items.", 'oswald'),
                'save_always' => true,
                'value' => '30',
                "dependency" => Array("element" => "items_per_line","value_not_equal_to" => array("1")),
            ),
            // Content alignment
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__( 'Content alignment', 'oswald' ),
                'param_name' => 'content_alignment',
                "options"         => array(
                    esc_html__( 'Left', 'oswald' ) => 'left',
                    esc_html__( 'Center', 'oswald' ) => 'center',
                    esc_html__( 'Right', 'oswald' ) => 'right',
                    esc_html__( 'Justify', 'oswald' ) => 'justify'
                ),
                "description" => esc_html__("Select content alignment.", 'oswald'),
                'value' => 'left',
            ),
            // Content Letter Count
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Content Letter Count', 'oswald'),
                'param_name' => 'content_letter_count',
                'value' => '85',
                'save_always' => true,
                'description' => esc_html__( 'Enter content letter count.', 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Show Pagination', 'oswald' ),
                'param_name' => 'show_pagination',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'std' => 'not',
                'dependency' => array(
                    'element' => 'view_style',
                    "value" => "standard"
                ),
            ),
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__('Pagination Style', 'oswald'),
                'param_name' => 'pagination_style',
                'save_always' => true,
                'options' => array(
                    esc_html__('Pagination', 'oswald') => "pagination",
                    esc_html__('Load More Button', 'oswald') => "load_more",
                ),
                'value' => 'pagination',
                'dependency' => array(
                    'element' => 'show_pagination',
                    "value" => "yes"
                ),
            ),
            // --- CAROUSEL GROUP --- //
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Use blog-posts carousel?', 'oswald' ),
                'param_name' => 'use_carousel',
                "group" => esc_html__( "Carousel", 'oswald' )
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Autoplay carousel', 'oswald' ),
                'param_name' => 'autoplay_carousel',
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'use_carousel',
                    "value" => array("yes")
                ),
                "group" => esc_html__( "Carousel", 'oswald' ),
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Autoplay time.', 'oswald' ),
                'param_name' => 'auto_play_time',
                'value' => '3000',
                'description' => esc_html__( 'Enter autoplay time in milliseconds.', 'oswald' ),
                'dependency' => array(
                    'element' => 'autoplay_carousel',
                    'value' => array("yes"),
                ),
                "group" => esc_html__( "Carousel", 'oswald' ),
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Single slide to scroll', 'oswald' ),
                'param_name' => 'scroll_items',
                "group" => esc_html__( "Carousel", 'oswald' ),
                'dependency' => array(
                    'element' => 'use_carousel',
                    "value" => array("yes")
                ),
                'std' => 'yes',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Infinite Scroll', 'oswald' ),
                'param_name' => 'infinite_scroll',
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'use_carousel',
                    "value" => array("yes")
                ),
                "group" => esc_html__( "Carousel", 'oswald' ),
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Hide Pagination control', 'oswald' ),
                'param_name' => 'use_pagination_carousel',
                'dependency' => array(
                    'element' => 'use_carousel',
                    "value" => array("yes")
                ),
                "group" => esc_html__( "Carousel", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Hide prev/next buttons', 'oswald' ),
                'param_name' => 'use_prev_next_carousel',
                'dependency' => array(
                    'element' => 'use_carousel',
                    "value" => array("yes")
                ),
                "group" => esc_html__( "Carousel", 'oswald' ),
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Adaptive Height', 'oswald' ),
                'param_name' => 'adaptive_height',
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'use_carousel',
                    "value" => array("yes")
                ),
                "group" => esc_html__( "Carousel", 'oswald' ),
            ),
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__( 'Items Per Column', 'oswald' ),
                'param_name' => 'items_per_column',
                "options"         => array(
                    esc_html__( '1', 'oswald' ) => '1',
                    esc_html__( '2', 'oswald' ) => '2',
                    esc_html__( '3', 'oswald' ) => '3',
                    esc_html__( '4', 'oswald' ) => '4'
                ),
                "description" => esc_html__("Select post items per column.", 'oswald'),
                'dependency' => array(
                    'element' => 'use_carousel',
                    "value" => array("yes")
                ),
                'value' => '1',
                "group" => esc_html__( "Carousel", 'oswald' ),
            ),
            // --- CUSTOM GROUP --- //
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Use theme default blog style?', 'oswald' ),
                'param_name' => 'use_theme_blog_style',
                'description' => esc_html__( 'Use default blog style from the theme.', 'oswald' ),
                "group" => esc_html__( "Custom", 'oswald' ),
                'std' => 'yes',
            ),
            // Custom blog style
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Custom Theme Color", 'oswald'),
                "param_name" => "custom_theme_color",
                "value" => esc_attr(oswald_option("theme-custom-color")),
                'dependency' => array(
                    'element' => 'use_theme_blog_style',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Custom", 'oswald' ),
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-4',
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Custom Headings Color", 'oswald'),
                "param_name" => "custom_headings_color",
                "value" => esc_attr($header_font['color']),
                'dependency' => array(
                    'element' => 'use_theme_blog_style',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Custom", 'oswald' ),
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-4',
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Custom Content Color", 'oswald'),
                "param_name" => "custom_content_color",
                "value" => esc_attr($main_font['color']),
                'dependency' => array(
                    'element' => 'use_theme_blog_style',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Custom", 'oswald' ),
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-4',
            ),
            // Heading Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Heading Font Size', 'oswald'),
                'param_name' => 'heading_font_size',
                'value' => '18',
                'description' => esc_html__( 'Enter heading font-size in pixels.', 'oswald' ),
                'dependency' => array(
                    'element' => 'use_theme_blog_style',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Custom", 'oswald' ),
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Heading Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Content Font Size', 'oswald'),
                'param_name' => 'content_font_size',
                'value' => '16',
                'description' => esc_html__( 'Enter content font-size in pixels.', 'oswald' ),
                'dependency' => array(
                    'element' => 'use_theme_blog_style',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Custom", 'oswald' ),
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-6',
            ),
            vc_map_add_css_animation( true ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra Class", 'oswald'),
                "param_name" => "item_el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'oswald')
            ),
        ),

    ));
    if (!class_exists('WPBakeryShortCode_WPD_Blog_Posts')) {
        class WPBakeryShortCode_WPD_Blog_Posts extends WPBakeryShortCode
        {
        }
    }    
}