<?php
if (function_exists('vc_map')) {
    vc_map(array(		
		
        'base' => 'wpd_carousel',
        'name' => esc_html__('Carousel', 'oswald'),
		'class' => 'wpd_carousel_module',
        "description" => esc_html__("Display carousel", 'oswald'),
		'as_parent'         => array('only' => 'vc_row'),
		"content_element" => true,		
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        "icon" => 'wpdaddy_icon',
		'show_settings_on_create' => true,
		"is_container" => true,
        'params' => array(
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__('Items Per Line', 'oswald'),
                'param_name' => 'posts_per_line',
                'admin_label' => true,
                'options' => array(
                    esc_html__("1", 'oswald') => '1',
                    esc_html__("2", 'oswald') => '2',
                    esc_html__("3", 'oswald') => '3',
                    esc_html__("4", 'oswald') => '4',
                    esc_html__("5", 'oswald') => '5',
                    esc_html__("6", 'oswald') => '6'
                ),
                'value' => '1',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Autoplay carousel', 'oswald' ),
                'param_name' => 'autoplay_carousel',
                'std' => 'yes'
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Slider speed', 'oswald' ),
                'param_name' => 'slider_speed',
                'value' => '3000',
                'description' => esc_html__( 'Enter autoplay time in milliseconds.', 'oswald' ),
                'dependency' => array(
                    'element' => 'autoplay_carousel',
                    'value' => array("yes"),
                ),
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Single slide to scroll', 'oswald' ),
                'param_name' => 'scroll_items',
                'std' => 'no',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Infinite looping', 'oswald' ),
                'param_name' => 'multiple_items',
                'std' => 'not',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Hide Pagination control', 'oswald' ),
                'param_name' => 'use_pagination',
                'std' => 'not',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Hide prev/next buttons', 'oswald' ),
                'param_name' => 'use_prev_next',
                'std' => 'not',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Adaptive Height', 'oswald' ),
                'param_name' => 'adaptive_height',
                'std' => 'not',
                'dependency' => array(
                    'element' => 'posts_per_line',
                    'value' => array("1"),
                ),
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra Class", 'oswald'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'oswald')
            )			
        ),
        'default_content' => '
[vc_row_inner][vc_column_inner][/vc_column_inner][/vc_row_inner]
[vc_row_inner][vc_column_inner][/vc_column_inner][/vc_row_inner]
        ',
		'js_view' => 'VcColumnView'
    ));


    if (class_exists('WPBakeryShortCodesContainer') && !class_exists('WPBakeryShortCode_Wpd_carousel')) {
        class WPBakeryShortCode_Wpd_carousel extends WPBakeryShortCodesContainer
        {
        }
    }
}