<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$header_font = oswald_option('header-font');
$main_font = oswald_option('main-font');

if (function_exists('vc_map')) {
// Add list item
    vc_map(array(
        "name" => esc_html__("Countdown", 'oswald'),
        "base" => "wpd_countdown",
        "class" => "wpd_countdown",
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        "icon" => 'wpdaddy_icon',
        "content_element" => true,
        "description" => esc_html__("Countdown",'oswald'),
        "params" => array(
            array(
                "type"          => "backend_divider",
                "heading" => esc_html__("Countdown Date:", 'oswald'),
                "param_name"    => "backend_divider",
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Year", 'oswald'),
                "param_name" => "countdown_year",
                "description" => esc_html__("Enter year EX.: 2018", 'oswald'),
                'edit_field_class' => 'vc_col-sm-2',
            ),
             array(
                "type" => "textfield",
                "heading" => esc_html__("Month", 'oswald'),
                "param_name" => "countdown_month",
                "description" => esc_html__("Enter month EX.: 08", 'oswald'),
                'edit_field_class' => 'vc_col-sm-2',
            ),
              array(
                "type" => "textfield",
                "heading" => esc_html__("Day", 'oswald'),
                "param_name" => "countdown_day",
                "description" => esc_html__("Enter day EX.: 20", 'oswald'),
                'edit_field_class' => 'vc_col-sm-2',
            ),
                array(
                "type" => "textfield",
                "heading" => esc_html__("Hours", 'oswald'),
                "param_name" => "countdown_hours",
                "description" => esc_html__("Enter hours EX.: 13", 'oswald'),
                'edit_field_class' => 'vc_col-sm-2',
            ),
              array(
                "type" => "textfield",
                "heading" => esc_html__("Minutes", 'oswald'),
                "param_name" => "countdown_min",
                "description" => esc_html__("Enter min. EX.: 24", 'oswald'),
                'edit_field_class' => 'vc_col-sm-2',
            ),
            array(
                "type"          => "backend_divider",
                "heading" => esc_html__("Countdown Show:", 'oswald'),
                "param_name"    => "backend_divider",
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Show Days?', 'oswald' ),
                'param_name' => 'show_day',
                'edit_field_class' => 'vc_col-sm-3',
                'std' => 'yes'
            ),            
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Show Hours?', 'oswald' ),
                'param_name' => 'show_hours',
                'edit_field_class' => 'vc_col-sm-3',
                'std' => 'yes'
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Show Minutes?', 'oswald' ),
                'param_name' => 'show_minutes',
                'edit_field_class' => 'vc_col-sm-3',
                'std' => 'yes'
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Show Seconds?', 'oswald' ),
                'param_name' => 'show_seconds',
                'edit_field_class' => 'vc_col-sm-3',
                'std' => 'yes'
            ),
            array(
                "type"          => "backend_divider",
                "heading" => esc_html__("Countdown Style:", 'oswald'),
                "param_name"    => "backend_divider",
            ),
            array(
                "type" => "wpdaddy_custom_select",
                "class" => "",
                "heading" => esc_html__("Size", 'oswald'),
                "param_name" => "size",
                "options" => array(
                    esc_html__("Small",'oswald') => "small",
                    esc_html__("Medium",'oswald') => "medium",
                    esc_html__("Large",'oswald') => "large",
                    esc_html__("Extra Large",'oswald') => "e_large",
                ),
                'value' => 'small'
            ),
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__( 'Align', 'oswald' ),
                'param_name' => 'align',
                "options"         => array(
                    esc_html__( 'left', 'oswald' ) => 'left',
                    esc_html__( 'center', 'oswald' ) => 'center',
                    esc_html__( 'right', 'oswald' ) => 'right',
                ),
                'value' => 'center',
                'edit_field_class' => 'vc_col-sm-6'
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Counter Value Color", 'oswald'),
                "param_name" => "color",
                "value" => "#222328",
                "description" => esc_html__("Select color for this item.", 'oswald'),
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-6',
            ),  
            vc_map_add_css_animation( true ),                          
        )
    ));
    
    if (class_exists('WPBakeryShortCode') && !class_exists('WPBakeryShortCode_wpd_countdown')) {
        class WPBakeryShortCode_wpd_countdown extends WPBakeryShortCode {

            
        }
    } 
}