<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

if (function_exists('vc_map')) {
    // Add list item
    vc_map(array(
        "name" => esc_html__("Counter", 'oswald'),
        "base" => "counter",
        "class" => "counter",
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        "icon" => 'wpdaddy_icon',
        "content_element" => true,
        "description" => esc_html__("Adds your milestones, achievements, etc.",'oswald'),
        "params" => array(
            // Icon Type
            array(
                "type" => "dropdown",
                "class" => "",
                "heading" => esc_html__("Icon Type", 'oswald'),
                "param_name" => "icon_type",
                "value" => array(
                    esc_html__("Font",'oswald') => "font",
                    esc_html__("Image",'oswald') => "image",
                    esc_html__("None",'oswald') => "none",
                ),
                "description" => esc_html__("Use an existing font icon or upload a custom image.", 'oswald')
            ),
            // Icon
            array(
                'type' => 'iconpicker',
                'heading' => esc_html__('Icon', 'oswald'),
                'param_name' => 'icon_fontawesome',
                'value' => 'fa fa-adjust', // default value to backend editor admin_label
                'settings' => array(
                    'emptyIcon' => false, // default true, display an "EMPTY" icon?
                    'iconsPerPage' => 200, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                ),
                "dependency" => Array("element" => "icon_type","value" => array("font")),
                'description' => esc_html__( 'Select icon from library.', 'oswald' ),
            ),
            // Image
            array(
                'type' => 'attach_image',
                'heading' => esc_html__('Image', 'oswald'),
                'param_name' => 'image',
                'value' => '',
                'description' => esc_html__( 'Select image from media library.', 'oswald' ),
                "dependency" => Array("element" => "icon_type","value" => array("image")),
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Image Width', 'oswald'),
                'param_name' => 'img_width',
                'value' => '48',
                'description' => esc_html__( 'Enter image width in pixels.', 'oswald' ),
                "dependency" => Array("element" => "icon_type","value" => array("image")),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Image Proportions', 'oswald'),
                'param_name' => 'image_proportions',
                'value' => array(
                    esc_html__("Original", 'oswald') => 'original',
                    esc_html__("Square", 'oswald') => 'square',
                    esc_html__("Circle", 'oswald') => 'circle',
                ),
                "dependency" => Array("element" => "img_width", "not_empty" => true),
            ),
            // General Params
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Content Alignment', 'oswald'),
                'param_name' => 'content_alignment',
                'value' => array(
                    esc_html__("Left", 'oswald') => 'left',
                    esc_html__("Center", 'oswald') => 'center',
                    esc_html__("Right", 'oswald') => 'right',
                ),
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Icon Position', 'oswald'),
                'param_name' => 'icon_position',
                'value' => array(
                    esc_html__("Left", 'oswald') => 'left',
                    esc_html__("Top", 'oswald') => 'top',
                    esc_html__("Right", 'oswald') => 'right',
                    esc_html__("Bottom", 'oswald') => 'bottom',
                ),
                "dependency" => Array("element" => "icon_type","value" => array("image", "font")),
            ),
             array(
                "type" => "textfield",
                "class" => "",
                "heading" => esc_html__("Counter Title ", 'oswald'),
                "param_name" => "counter_title",
                "admin_label" => true,
                "value" => "",
                "description" => esc_html__("Enter title for stats counter block", 'oswald')
            ),
            array(
                "type" => "textfield",
                "class" => "",
                "heading" => esc_html__("Counter Value", 'oswald'),
                "param_name" => "counter_value",
                "value" => "2001",
                "description" => esc_html__("Enter number for counter without any special character. You may enter a decimal number. Eg 12.76", 'oswald')
            ),
            array(
                "type" => "textfield",
                "class" => "",
                "heading" => esc_html__("Counter Value Prefix", 'oswald'),
                "param_name" => "counter_prefix",
                "value" => "",
                "description" => esc_html__("Enter prefix for counter value", 'oswald')
            ),
            array(
                "type" => "textfield",
                "class" => "",
                "heading" => esc_html__("Counter Value Suffix", 'oswald'),
                "param_name" => "counter_suffix",
                "value" => "",
                "description" => esc_html__("Enter suffix for counter value", 'oswald')
            ),
            vc_map_add_css_animation( true ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra Class", 'oswald'),
                "param_name" => "item_el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'oswald')
            ),
            // Counter Title Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Counter Title Font Size', 'oswald'),
                'param_name' => 'counter_title_size',
                'value' => '16',
                'description' => esc_html__( 'Enter counter title font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Counter Title Fonts
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use theme default font family for counter title?', 'oswald' ),
                'param_name' => 'use_theme_fonts_counter_title',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_counter_title',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_counter_title',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            // Counter Value Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Counter Value Font Size', 'oswald'),
                'param_name' => 'counter_value_size',
                'value' => '48',
                'description' => esc_html__( 'Enter counter value font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Counter Value Fonts
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use theme default font family for counter value?', 'oswald' ),
                'param_name' => 'use_theme_fonts_counter_value',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_counter_value',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_counter_value',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Icon Color", 'oswald'),
                "param_name" => "icon_color",
                "value" => "#222328",
                "description" => esc_html__("Select color for this item.", 'oswald'),
                "dependency" => Array("element" => "icon_type","value" => array("font")),
                "group" => esc_html__( "Styling", 'oswald' ),
                'save_always' => true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__( 'Icon Size', 'oswald' ),
                'param_name' => 'icon_size',
                "value"         => array(
                    esc_html__( 'Mini', 'oswald' )      => 'mini',
                    esc_html__( 'Small', 'oswald' )     => 'small',
                    esc_html__( 'Normal', 'oswald' )   => 'normal',
                    esc_html__( 'Large', 'oswald' )     => 'large',
                    esc_html__( 'Extra Large', 'oswald' )      => 'extralarge'
                ),
                "dependency" => Array("element" => "icon_type","value" => array("font")),
                "group" => esc_html__( "Styling", 'oswald' ),
                'save_always' => true,
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Counter Value Color", 'oswald'),
                "param_name" => "counter_value_color",
                "value" => "#222328",
                "description" => esc_html__("Select color for this item.", 'oswald'),
                "group" => esc_html__( "Styling", 'oswald' ),
                'save_always' => true,
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Title Color", 'oswald'),
                "param_name" => "title_color",
                "value" => "#222328",
                "description" => esc_html__("Select color for this item.", 'oswald'),
                "group" => esc_html__( "Styling", 'oswald' ),
                'save_always' => true,
            ),
            
        )
    ));

    if (class_exists('WPBakeryShortCode')) {
        if (!class_exists('WPBakeryShortCode_Counter')) {
            class WPBakeryShortCode_Counter extends WPBakeryShortCode {
            }
        }        
    }
}