<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$header_font = oswald_option('header-font');
$main_font = oswald_option('main-font');

if (function_exists('vc_map')) {
// Add list item
    vc_map(array(
        "name" => esc_html__("Icon Box", 'oswald'),
        "base" => "wpd_icon_box",
        "class" => "wpd_icon_box",
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        "icon" => 'wpdaddy_icon',
        "content_element" => true,
        "description" => esc_html__("Icon Box",'oswald'),
        "params" => array(
            // Icon Section
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Icon Type', 'oswald' ),
                "param_name"    => "icon_type",
                "options"         => array(
                    esc_html__( 'None', 'oswald' )      => 'none',
                    esc_html__( 'Font', 'oswald' )      => 'font',
                    esc_html__( 'Image', 'oswald' )     => 'image',
                    esc_html__( 'Number', 'oswald' )    => 'number',
                ),
                'value' => 'none',
                'save_always' => true,
            ),
            array(
                "type"          => "textfield",
                "heading"       => esc_html__( 'Number', 'oswald' ),
                "param_name"    => "number",
                'dependency' => array(
                    'element' => 'icon_type',
                    'value' => 'number',
                ),
            ),
            array(
                'type' => 'iconpicker',
                'heading' => esc_html__( 'Icon', 'oswald' ),
                'param_name' => 'icon_fontawesome',
                'value' => 'fa fa-adjust', // default value to backend editor admin_label
                'settings' => array(
                    'emptyIcon' => false,
                    // default true, display an "EMPTY" icon?
                    'iconsPerPage' => 200,
                    // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                ),
                'description' => esc_html__( 'Select icon from library.', 'oswald' ),
                'dependency' => array(
                    'element' => 'icon_type',
                    'value' => 'font',
                ),
            ),
            array(
                'type' => 'attach_image',
                'heading' => esc_html__( 'Image', 'oswald' ),
                'param_name' => 'thumbnail',
                'value' => '',
                'description' => esc_html__( 'Select image from media library.', 'oswald' ),
                'dependency' => array(
                    'element' => 'icon_type',
                    'value' => array( 'image' ),
                ),
            ),
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Icon Position', 'oswald' ),
                "param_name"    => "icon_position",
                "options"         => array(
                    esc_html__( 'Top', 'oswald' )               => 'top',
                    esc_html__( 'Left', 'oswald' )              => 'left',
                    esc_html__( 'Right', 'oswald' )             => 'right',
                    esc_html__('Inline with Title', 'oswald')   => 'inline_title'
                ),
                'value' => 'top',
                'dependency' => array(
                    'element' => 'icon_type',
                    'value_not_equal_to' => array( 'number' ),
                ),
                'save_always' => true,
            ),
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Item Align', 'oswald' ),
                "param_name"    => "icon_position_top_align",
                "options"         => array(
                    esc_html__( 'Left', 'oswald' )               => 'left',
                    esc_html__( 'Center', 'oswald' )              => 'center',
                    esc_html__( 'Right', 'oswald' )             => 'right',
                ),
                'value' => 'center',
                'dependency' => array(
                    'element' => 'icon_position',
                    'value' => array( 'top' ),
                ),
                'save_always' => true,
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Heading", 'oswald'),
                "param_name" => "heading",
                "description" => esc_html__("Enter text for heading line.", 'oswald'),
                'admin_label' => true,
            ),
            array(
                "type" => "textarea",
                "heading" => esc_html__("Text", 'oswald'),
                "param_name" => "text",
                "description" => esc_html__("Enter text.", 'oswald')
            ),            
            array(
                "type"          => "textfield",
                "heading"       => esc_html__( 'Link', 'oswald' ),
                "param_name"    => "url",
                'edit_field_class' => 'vc_col-sm-4',
            ),
            array(
                "type"          => "textfield",
                "heading"       => esc_html__( 'Link Text', 'oswald' ),
                "param_name"    => "url_text",
                'edit_field_class' => 'vc_col-sm-4',
            ),            
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Open in New Tab', 'oswald' ),
                "param_name"    => "new_tab",
                'std' => 'no',
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-4',
            ),
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Icon in circle', 'oswald' ),
                "param_name"    => "icon_circle",
                'save_always' => true,
                'std' => 'no',
                'dependency' => array(
                    'element' => 'icon_type',
                    'value_not_equal_to' => array( 'number', 'none' ),
                ),
            ),
             array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Circle Color', 'oswald' ),
                "param_name"    => "circle_bg",
                "value"         => '#f0f2f7',
                'save_always' => true,
                'dependency' => array(
                    'element' => 'icon_circle',
                    'value' => "yes",
                ),
            ),
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Add Number', 'oswald' ),
                "param_name"    => "icon_add_number",
                'save_always' => true,
                'std' => 'no',
                'dependency' => array(
                    'element' => 'icon_type',
                    'value_not_equal_to' => array( 'number', 'none' ),
                ),
            ),
            array(
                "type"          => "textfield",
                "heading"       => esc_html__( 'Number', 'oswald' ),
                "param_name"    => "icon_number",
                'dependency' => array(
                    'element' => 'icon_add_number',
                    'value' => "yes",
                ),
            ),
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Add divider after Heading', 'oswald' ),
                "param_name"    => "add_divider",
                'std' => 'no',
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Divider Color', 'oswald' ),
                "param_name"    => "divider_color",
                "value"         => esc_attr(oswald_option("theme-custom-color")),
                'save_always' => true,
                'dependency' => array(
                    'element' => 'add_divider',
                    'value' => "yes",
                ),
            ),
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Box view', 'oswald' ),
                "param_name"    => "box_view",
                'edit_field_class' => 'vc_col-sm-4',
                'std' => 'no',
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Box Background Color', 'oswald' ),
                "param_name"    => "box_bg_color",
                "value"         => '#ffffff',
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-4',
                'dependency' => array(
                    'element' => 'box_view',
                    'value' => "yes",
                ),
            ),
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Box-shadow', 'oswald' ),
                "param_name"    => "box_shadow",
                'edit_field_class' => 'vc_col-sm-4',
                'std' => 'no',
                'dependency' => array(
                    'element' => 'box_view',
                    'value' => "yes",
                ),
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Box Border Color', 'oswald' ),
                "param_name"    => "box_border_color",
                "value"         => '#f0f2f7',
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-4',
                'dependency' => array(
                    'element' => 'box_shadow',
                    'value_not_equal_to' => 'yes',
                ),
            ),
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Box-shadow on Hover', 'oswald' ),
                "param_name"    => "box_shadow_hover",
                'edit_field_class' => 'vc_col-sm-4',
                'std' => 'no',
                'dependency' => array(
                    'element' => 'box_shadow',
                    'value_not_equal_to' => 'yes',
                ),
            ),
            vc_map_add_css_animation( true ),
            // Styling
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Icon Size', 'oswald' ),
                "param_name"    => "icon_size",
                "options"         => array(
                    esc_html__( 'Mini', 'oswald' )      => 'mini',
                    esc_html__( 'Small', 'oswald' )     => 'small',
                    esc_html__( 'Regular', 'oswald' )   => 'regular',
                    esc_html__( 'Large', 'oswald' )     => 'large',
                    esc_html__( 'Huge', 'oswald' )      => 'huge',
                    esc_html__( 'Custom', 'oswald')     => 'custom'
                ), 
                'value' => 'regular',             
                "group"         => esc_html__( "Styling", 'oswald' ),
                'save_always' => true,
            ),
            // Custom icon size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Custom Icon Size', 'oswald'),
                'param_name' => 'custom_icon_size',
                'value' => '18',
                'description' => esc_html__( 'Enter Icon size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'dependency' => array(
                    'element' => 'icon_size',
                    'value' => 'custom',
                ),
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Icon Color', 'oswald' ),
                "param_name"    => "icon_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr(oswald_option("theme-custom-color")),
                'save_always' => true,
                'dependency' => array(
                    'element' => 'icon_type',
                    'value' => array('font','number'),
                ),
            ),
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Title Tag', 'oswald' ),
                "param_name"    => "title_tag",
                "options"         => array(
                    esc_html__( 'H2', 'oswald' )    => 'h2',
                    esc_html__( 'H3', 'oswald' )    => 'h3',
                    esc_html__( 'H4', 'oswald' )    => 'h4',
                    esc_html__( 'H5', 'oswald' )    => 'h5',
                    esc_html__( 'H6', 'oswald' )    => 'h6',
                ),
                'value'           => "h3",
                'save_always' => true,
                "group"         => esc_html__( "Styling", 'oswald' ),
            ),
            // Icon Box title Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Icon Box Title Font Size', 'oswald'),
                'param_name' => 'iconbox_title_size',
                'value' => '16',
                'save_always' => true,
                'description' => esc_html__( 'Enter Icon Box title font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Iconbox Title Fonts
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Use theme default font family for iconbox title?', 'oswald' ),
                'param_name' => 'use_theme_fonts_iconbox_title',
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_iconbox_title',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_iconbox_title',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            // Icon Box content Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Icon Box Content Font Size', 'oswald'),
                'param_name' => 'iconbox_content_size',
                'value' => '14',
                'save_always' => true,
                'description' => esc_html__( 'Enter Icon Box content font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Iconbox content Fonts
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Use theme default font family for iconbox content?', 'oswald' ),
                'param_name' => 'use_theme_fonts_iconbox_content',
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_iconbox_content',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_iconbox_content',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Title Color', 'oswald' ),
                "param_name"    => "title_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr($header_font['color']),
                'save_always' => true,
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Text Color', 'oswald' ),
                "param_name"    => "text_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr($main_font['color']),
                'save_always' => true,
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Link Color', 'oswald' ),
                "param_name"    => "link_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr(oswald_option("theme-custom-color")),
                'save_always' => true,
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Link Hover Color', 'oswald' ),
                "param_name"    => "link_hover_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr($header_font['color']),
                'save_always' => true,
            ),                
        )
    ));
    
    if (class_exists('WPBakeryShortCode') && !class_exists('WPBakeryShortCode_Wpd_icon_box')) {
        class WPBakeryShortCode_Wpd_icon_box extends WPBakeryShortCode {
        }
    } 
}