<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$header_font = oswald_option('header-font');
$main_font = oswald_option('main-font');

if (function_exists('vc_map')) {
// Add list item
    vc_map(array(
        "name" => esc_html__("Image Box", 'oswald'),
        "base" => "wpd_image_box",
        "class" => "wpd_image_box",
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        "icon" => 'wpdaddy_icon',
        "content_element" => true,
        "description" => esc_html__("Image Box",'oswald'),
        "params" => array(
            // Image selection
            array(
                'type' => 'attach_image',
                'heading' => esc_html__( 'Image', 'oswald' ),
                'param_name' => 'thumbnail',
                'value' => '',
                'description' => esc_html__( 'Select image from media library.', 'oswald' ),
            ),
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Crop image for columns:', 'oswald' ),
                "param_name"    => "image_size",
                "options"         => array(
                    esc_html__( '1/4 (270px)', 'oswald' )    => '3',
                    esc_html__( '1/3 (370px)', 'oswald' )    => '4',
                    esc_html__( '1/2 (570px)', 'oswald' )    => '6',
                    esc_html__( '1 (1170px)', 'oswald' )    => '12',
                ),
                'value' => '4',
                'save_always' => true,
            ),
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Align', 'oswald' ),
                "param_name"    => "align",
                "options"         => array(
                    esc_html__( 'Left', 'oswald' )    => 'left',
                    esc_html__( 'Center', 'oswald' )    => 'center',
                    esc_html__( 'Right', 'oswald' )    => 'right',
                ),
                'value' => 'left',
                'save_always' => true,
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Heading", 'oswald'),
                "param_name" => "heading",
                "description" => esc_html__("Enter text for heading line.", 'oswald'),
                'admin_label' => true,
            ),
            array(
                "type" => "textarea",
                "heading" => esc_html__("Text", 'oswald'),
                "param_name" => "text",
                "description" => esc_html__("Enter text.", 'oswald')
            ),            
            array(
                "type"          => "textfield",
                "heading"       => esc_html__( 'Link', 'oswald' ),
                "param_name"    => "url",
            ),
            array(
                "type"          => "textfield",
                "heading"       => esc_html__( 'Link Text', 'oswald' ),
                "param_name"    => "url_text",
            ),            
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Open in New Tab', 'oswald' ),
                "param_name"    => "new_tab",
                'save_always' => true,
                'std' => 'no',
            ),
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Add divider after Heading', 'oswald' ),
                "param_name"    => "add_divider",
                'save_always' => true,
                'std' => 'no',
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Divider Color', 'oswald' ),
                "param_name"    => "divider_color",
                "value"         => esc_attr(oswald_option("theme-custom-color")),
                'save_always' => true,
                'dependency' => array(
                    'element' => 'add_divider',
                    'value' => "true",
                ),
            ),
            vc_map_add_css_animation( true ),
            // Styling
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Title Tag', 'oswald' ),
                "param_name"    => "title_tag",
                "options"         => array(
                    esc_html__( 'H2', 'oswald' )    => 'h2',
                    esc_html__( 'H3', 'oswald' )    => 'h3',
                    esc_html__( 'H4', 'oswald' )    => 'h4',
                    esc_html__( 'H5', 'oswald' )    => 'h5',
                    esc_html__( 'H6', 'oswald' )    => 'h6',
                ),
                'value' => 'h3',
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-6',
                "group"         => esc_html__( "Styling", 'oswald' ),
            ),
            // Image Box title Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Image Box Title Font Size', 'oswald'),
                'param_name' => 'imagebox_title_size',
                'value' => '20',
                'description' => esc_html__( 'Enter Image Box title font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Imagebox Title Fonts
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Use theme default font family for imagebox title?', 'oswald' ),
                'param_name' => 'use_theme_fonts_imagebox_title',
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                'save_always' => true,
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_imagebox_title',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_imagebox_title',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            // Image Box content Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Image Box Content Font Size', 'oswald'),
                'param_name' => 'imagebox_content_size',
                'value' => '14',
                'description' => esc_html__( 'Enter Image Box content font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Imagebox content Fonts
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Use theme default font family for imagebox content?', 'oswald' ),
                'param_name' => 'use_theme_fonts_imagebox_content',
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_imagebox_content',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_imagebox_content',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Title Color', 'oswald' ),
                "param_name"    => "title_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr($header_font['color']),
                'save_always' => true,
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Text Color', 'oswald' ),
                "param_name"    => "text_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr($main_font['color']),
                'save_always' => true,
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Link Color', 'oswald' ),
                "param_name"    => "link_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr(oswald_option("theme-custom-color")),
                'save_always' => true,
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Link Hover Color', 'oswald' ),
                "param_name"    => "link_hover_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr($header_font['color']),
                'save_always' => true,
            ),                
        )
    ));
    
    if (class_exists('WPBakeryShortCode') && !class_exists('WPBakeryShortCode_Wpd_image_box')) {
        class WPBakeryShortCode_Wpd_image_box extends WPBakeryShortCode {
            
        }
    } 
}
