<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

if (function_exists('vc_map')) {
    vc_map(array(
        'base' => 'wpd_price_block',
        'name' => esc_html__('Price Block', 'oswald'),
        "description" => esc_html__("Create price table", 'oswald'),
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        'icon' => 'wpdaddy_icon',
        'params' => array(
            array(
                "type" => "vc_link",
                "heading" => esc_html__("Link", 'oswald'),
                "param_name" => "button_link",
            ),
            array(
                "type" => "textarea_html",
                "heading" => esc_html__("Price field", 'oswald'),
                "param_name" => "content",
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Package Name / Title", 'oswald'),
                "param_name" => "title",
                "description" => esc_html__("Enter title of price block.", 'oswald')
            ),
            array(
                "type" => "attach_image",
                "heading" => esc_html__("Header Background Image", 'oswald'),
                "param_name" => "header_img",
                "description" => esc_html__("Select header background image.", 'oswald')
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__('Active package', 'oswald'),
                'param_name' => 'package_is_active',
                'admin_label' => true,
                'std' => 'no',
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Package Price", 'oswald'),
                "param_name" => "price",
                "description" => esc_html__("Enter the price for this package. e.g. '157'", 'oswald')
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Price Prefix", 'oswald'),
                "param_name" => "price_prefix",
                "description" => esc_html__("Enter the price prefix for this package. e.g. '$'", 'oswald')
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Package Suffix", 'oswald'),
                "param_name" => "price_suffix",
                "description" => esc_html__("Enter the price suffix for this package. e.g. '/ person'", 'oswald')
            ),
            array(
                "type" => "textarea",
                "heading" => esc_html__("Package description", 'oswald'),
                "param_name" => "price_description",
                "description" => esc_html__("Enter the price block short description", 'oswald')
            ),
            
            // General Params
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra Class", 'oswald'),
                "param_name" => "item_el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'oswald')
            ),
            // Price Title Fonts
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use theme default font family for price table header?', 'oswald' ),
                'param_name' => 'use_theme_fonts_price_header',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_price_header',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_price_header',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use theme default font family for price table content?', 'oswald' ),
                'param_name' => 'use_theme_fonts_price_content',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_price_content',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_price_content',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            // Button COLOR
            array(
                "type" => "colorpicker",
                "heading" => esc_html__("Button color", 'oswald'),
                "param_name" => "btn_color",
                "value" => esc_attr(oswald_option("theme-custom-color")),
                "description" => esc_html__("Select custom color for button.", 'oswald'),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use alternative button style?', 'oswald' ),
                'param_name' => 'use_alt_button_style',
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => '',
            ),
        ),


    ));
    if (!class_exists('WPBakeryShortCode_Wpd_price_block')) {
        class WPBakeryShortCode_Wpd_price_block extends WPBakeryShortCode { }
    }

}