<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$header_font = oswald_option('header-font');
$main_font = oswald_option('main-font');

if (function_exists('vc_map')) {
// Add list item
    vc_map(array(
        "name" => esc_html__("Process Bar", 'oswald'),
        "base" => "wpd_process_bar",
        "class" => "wpd_process_bar",
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        "icon" => 'wpdaddy_icon',
        "content_element" => true,
        "description" => esc_html__("Process Bar",'oswald'),
        "params" => array(
            array(
                'type' => 'param_group',
                'heading' => esc_html__( 'Values', 'oswald' ),
                'param_name' => 'values',
                'value' => urlencode( json_encode( array(
                    array(
                        'proc_number' => '1',
                        'proc_heading' => esc_html__( 'Step 1', 'oswald' ),
                    ),
                    array(
                        'proc_number' => '2',
                        'proc_heading' => esc_html__( 'Step 2', 'oswald' ),
                    ),
                    array(
                        'proc_number' => '3',
                        'proc_heading' => esc_html__( 'Step 3', 'oswald' ),
                    ),
                ) ) ),
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__( 'Number (Integer)', 'oswald' ),
                        'param_name' => 'proc_number',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__( 'Heading', 'oswald' ),
                        'param_name' => 'proc_heading',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'textarea',
                        'heading' => esc_html__( 'Description', 'oswald' ),
                        'param_name' => 'proc_descr',
                    ),
                    array(
                        "type"          => "wpdaddy_custom_select",
                        "heading"       => esc_html__( 'Circle size', 'oswald' ),
                        "param_name"    => "circle_size",
                        "options"         => array(
                            esc_html__( 'mini', 'oswald' )  => 'mini',
                            esc_html__( 'small', 'oswald' ) => 'small',
                            esc_html__( 'normal', 'oswald' )=> 'normal',
                            esc_html__( 'large', 'oswald' ) => 'large',
                            esc_html__( 'extra large', 'oswald' )    => 'e_large',
                        ),
                        'value' => 'small',
                        'save_always' => true,
                    ),
                ),
            ),
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Items Per Line', 'oswald' ),
                "param_name"    => "steps",
                "options"         => array(
                    '2' => '2',
                    '3' => '3',
                    '4' => '4',
                    '5' => '5',
                ),
                'value' => '4',
                'save_always' => true,
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Item Color', 'oswald' ),
                "param_name"    => "item_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr($header_font['color']),
                'save_always' => true,
            ),
            array(
                "type"          => "wpdaddy_custom_select",
                "heading"       => esc_html__( 'Title Tag', 'oswald' ),
                "param_name"    => "title_tag",
                "options"         => array(
                    esc_html__( 'H2', 'oswald' )    => 'h2',
                    esc_html__( 'H3', 'oswald' )    => 'h3',
                    esc_html__( 'H4', 'oswald' )    => 'h4',
                    esc_html__( 'H5', 'oswald' )    => 'h5',
                    esc_html__( 'H6', 'oswald' )    => 'h6',
                ),
                'value' => 'h3',
                'save_always' => true,
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            // Icon Box title Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Title Font Size', 'oswald'),
                'param_name' => 'iconbox_title_size',
                'value' => '20',
                'description' => esc_html__( 'Enter title font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Content Font Size', 'oswald'),
                'param_name' => 'iconbox_content_size',
                'value' => '14',
                'description' => esc_html__( 'Enter content font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),               
        )
    ));
    
    if (class_exists('WPBakeryShortCode') && !class_exists('WPBakeryShortCode_Wpd_process_bar')) {
        class WPBakeryShortCode_Wpd_process_bar extends WPBakeryShortCode {
            
        }
    } 
}
