<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

if (function_exists('vc_map')) {
    vc_map(array(
        "name" => esc_html__('Services box', 'oswald'),
        "base" => "services",
        "class" => "services",
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        "icon" => 'wpdaddy_icon',
        "content_element" => true,
        "description" => esc_html__('Services box', 'oswald'),
        "params" => array(
            // Select Background Image
            array(
                'type' => 'attach_image',
                'heading' => esc_html__( 'Select Background Image', 'oswald' ),
                'param_name' => 'box_image',
                'value' => '',
                'description' => esc_html__( 'Select image from media library.', 'oswald' ),
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__('Title', "oswald"),
                "param_name" => "title",
                "description" => esc_html__('Enter text for title line.', 'oswald')
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__('Subtitle', "oswald"),
                "param_name" => "subtitle",
                "description" => esc_html__('Enter text for subtitle line.', 'oswald')
            ),
            array(
                "type" => "textarea",
                "heading" => esc_html__('Content Text', 'oswald'),
                "param_name" => "content_text",
                "description" => esc_html__('Enter text.', 'oswald')
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__('Index Number', 'oswald'),
                "param_name" => "index_number",
                "description" => esc_html__('Enter text for index number line.', 'oswald')
            ),
            // Link
            array(
                'type' => 'vc_link',
                'heading' => esc_html__( 'Link', 'oswald' ),
                'param_name' => 'link',
                "description" => esc_html__('Add link to box.', 'oswald')
            ),
            // Module Height
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Module Height', 'oswald'),
                'param_name' => 'module_height',
                'value' => '270',
                'description' => esc_html__( 'Enter module height in pixels.', 'oswald' ),
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Block Rotation', 'oswald' ),
                'param_name' => 'flip_style',
                'value' => 'yes',
                'description' => esc_html__( 'Allow the rotation of the block?', 'oswald' ),
            ),
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__( 'Rotate Direction', 'oswald' ),
                'param_name' => 'rotate_direction',
                'value' => 'left',
                'options' => array(
                    esc_html__( 'Left', 'oswald' ) => 'left',
                    esc_html__( 'Right', 'oswald' )    => 'right',
                    esc_html__( 'Top', 'oswald' )  => 'top',
                    esc_html__( 'Bottom', 'oswald' )   => 'bottom',
                ),
                'dependency' => array('element' => 'flip_style', 'value' => array('yes')),
            ),
            vc_map_add_css_animation( true ),
            array(
                "type" => "textfield",
                "heading" => esc_html__('Extra Class', 'oswald'),
                "param_name" => "item_el_class",
                "description" => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "oswald")
            ),
            // S T Y L I N G
            // Custom Title
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Custom Title Font Size', 'oswald'),
                'param_name' => 'custom_title_size',
                'value' => '24',
                'description' => esc_html__( 'Enter Title font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' )
            ),
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use theme default font family for box title?', 'oswald' ),
                'param_name' => 'use_theme_fonts_box_title',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_box_title',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_box_title',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Title Color', 'oswald' ),
                "param_name"    => "title_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => "#ffffff",
                'save_always' => true,
            ),
            // Custom Subtitle
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Custom Subtitle Font Size', 'oswald'),
                'param_name' => 'custom_subtitle_size',
                'value' => '18',
                'description' => esc_html__( 'Enter Subtitle font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' )
            ),
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use theme default font family for box subtitle?', 'oswald' ),
                'param_name' => 'use_theme_fonts_box_subtitle',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_box_subtitle',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_box_subtitle',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Subtitle Color', 'oswald' ),
                "param_name"    => "subtitle_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => "#ffffff",
                'save_always' => true,
            ),
            // Custom Index Number
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Index Number Font Size', 'oswald'),
                'param_name' => 'custom_index_number_size',
                'value' => '72',
                'description' => esc_html__( 'Enter Index Number font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' )
            ),
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use theme default font family for box index number?', 'oswald' ),
                'param_name' => 'use_theme_fonts_box_index_number',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_box_index_number',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_box_index_number',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            // Box Index Number Color
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Index Number Color', 'oswald' ),
                "param_name"    => "index_number_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => "rgba(255,255,255,0.2)",
                'save_always' => true,
            ),
            // Custom Content
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Content Font Size', 'oswald'),
                'param_name' => 'custom_content_size',
                'value' => '16',
                'description' => esc_html__( 'Enter Content font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' )
            ),
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Content Text Color', 'oswald' ),
                "param_name"    => "content_text_color",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => "#ffffff",
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Box Background (Hover State)
            array(
                "type"          => "colorpicker",
                "heading"       => esc_html__( 'Box Background (Hover State)', 'oswald' ),
                "param_name"    => "box_hover_bg",
                "group"         => esc_html__( "Styling", 'oswald' ),
                "value"         => esc_attr(oswald_option("theme-custom-color")),
                'save_always' => true,
                'edit_field_class' => 'vc_col-sm-6',
            ),
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use theme default font family for box content?', 'oswald' ),
                'param_name' => 'use_theme_fonts_box_content',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_box_content',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_box_content',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
        )
    ));
    
    if (class_exists('WPBakeryShortCode') && !class_exists('WPBakeryShortCode_Services')) {
        class WPBakeryShortCode_Services extends WPBakeryShortCode {
        }
    } 
}
