<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

if (function_exists('vc_map')) {
// Add list item
    vc_map(array(
        "name" => esc_html__("Spacing", 'oswald'),
        "base" => "spacing",
        "class" => "spacing",
        "category" => esc_html__('WPDaddy Modules', 'oswald'),
        "icon" => 'wpdaddy_icon',
        "content_element" => true,
        "description" => esc_html__("Spacing",'oswald'),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => esc_html__("Height", 'oswald'),
                "param_name" => "height",
                "description" => esc_html__("Enter empty space height", 'oswald'),
                "value" => "32px",
                'save_always' => true,
                'admin_label' => true,
            ),
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Set Resonsive Empty Space Height', 'oswald' ),
                'param_name' => 'responsive_es',
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Height for small Desktops', 'oswald'),
                'param_name' => 'height_size_sm_desctop',
                'description' => esc_html__( 'Enter height in pixels.', 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
                'dependency' => array(
                    'element' => 'responsive_es',
                    "value" => "true"
                ),
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Height for Tablets', 'oswald'),
                'param_name' => 'height_tablet',
                'description' => esc_html__( 'Enter height in pixels.', 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
                'dependency' => array(
                    'element' => 'responsive_es',
                    "value" => "true"
                ),
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Height for Mobile', 'oswald'),
                'param_name' => 'height_mobile',
                'description' => esc_html__( 'Enter height in pixels.', 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
                'dependency' => array(
                    'element' => 'responsive_es',
                    "value" => "true"
                ),
            ),
                    
        )
    ));
    
    if (class_exists('WPBakeryShortCode') && !class_exists('WPBakeryShortCode_Spacing')) {
        class WPBakeryShortCode_Spacing extends WPBakeryShortCode {
            
        }
    } 
}
