<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

if (function_exists('vc_map')) {
    vc_map(array(
        'base'                  => 'wpd_testimonials',
        'name'                  => esc_html__('Testimonials', 'oswald'),
        'description'           => esc_html__('Display testimonials', 'oswald'),
        'category'              => esc_html__('WPDaddy Modules', 'oswald'),
        'icon'                  => 'wpdaddy_icon',
        'js_view'               => 'VcColumnView',
        "as_parent"             => array('only' => 'wpd_testimonial_item'),
        "content_element"       => true,
        'show_settings_on_create' => false,
        'params'                => array(
            array(
                'type'              => 'wpdaddy_custom_select',
                'class'             => '',
                'heading'           => esc_html__('Style select', 'oswald'),
                'param_name'        => 'view_type',
                'options'             => array(
                    esc_html__("Type 1", 'oswald') => 'type1',
                    esc_html__("Type 2", 'oswald') => 'type2',
                ),
                'value'               => 'type1',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Use testimonials carousel?', 'oswald' ),
                'param_name' => 'use_carousel',
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'view_type',
                    'value_not_equal_to' => array("type2"),
                ),
            ),
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__( 'Align', 'oswald' ),
                'param_name' => 'item_align',
                'options' => array(
                    esc_html__("left", 'oswald') => 'left',
                    esc_html__("center", 'oswald') => 'center',
                    esc_html__("right", 'oswald') => 'right',
                ),
                'value' => 'left',
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Autoplay time.', 'oswald' ),
                'param_name' => 'auto_play_time',
                'value' => '3000',
                'description' => esc_html__( 'Enter autoplay time in milliseconds.', 'oswald' ),
                'dependency' => array(
                    'element' => 'use_carousel',
                    "value" => array("yes")
                )
            ),
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__('Items Per Line', 'oswald'),
                'param_name' => 'posts_per_line',
                'options' => array(
                    esc_html__("1", 'oswald') => '1',
                    esc_html__("2", 'oswald') => '2',
                    esc_html__("3", 'oswald') => '3',
                    esc_html__("4", 'oswald') => '4',
                ),
                'value' => '1',
                'dependency' => array(
                    'element' => 'view_type',
                    'value_not_equal_to' => array("type2"),
                ),
            ),
            vc_map_add_css_animation( true ), 
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra Class", 'oswald'),
                "param_name" => "item_el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'oswald')
            ),
            // Testimonials Text Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Testimonials Text Font Size', 'oswald'),
                'param_name' => 'testimonilas_text_size',
                'value' => '16',
                'description' => esc_html__( 'Enter testimonials text font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Testimonials Text Fonts
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Text Color", 'oswald'),
                "param_name" => "text_color",
                "value" => "",
                "description" => esc_html__("Select text color for this item.", 'oswald'),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Testimonials Author Font Size', 'oswald'),
                'param_name' => 'testimonilas_author_size',
                'value' => '16',
                'description' => esc_html__( 'Enter testimonials author font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Author Color", 'oswald'),
                "param_name" => "sign_color",
                "value" => "",
                "description" => esc_html__("Select sign color for this item.", 'oswald'),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),
            // Image setting section
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Image Width', 'oswald' ),
                'param_name' => 'img_width',
                'value' => '70',
                'description' => esc_html__( 'Enter image width in pixels.', 'oswald' ),
                "group" => "Styling",
                'edit_field_class' => 'vc_col-sm-6',
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Image Height', 'oswald' ),
                'param_name' => 'img_height',
                'value' => '70',
                'description' => esc_html__( 'Enter image height in pixels.', 'oswald' ),
                "group" => "Styling",
                'edit_field_class' => 'vc_col-sm-6',
            ),
            array(
                'type' => 'wpdaddy_on_off',
                'heading' => esc_html__( 'Circular Images?', 'oswald' ),
                'param_name' => 'round_imgs',
                'std' => 'yes',
                "group" => "Styling",
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Paginations Color", 'oswald'),
                "param_name" => "pagination_color",
                "value" => "rgba(0,0,0,0.5)",
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
        )
    ));
    
    // Testimonial item options
    vc_map(array(
        "name"                  => esc_html__("Testimonial item", 'oswald'),
        "base"                  => "wpd_testimonial_item",
        "class"                 => "wpd_info_list",
        "category"              => esc_html__('WPDaddy Modules', 'oswald'),
        'icon'                  => 'wpdaddy_icon',
        "content_element"       => true,
        "as_child"              => array('only' => 'wpd_testimonials'),
        "params"                => array(
            array(
                "type"              => "textfield",
                "class"             => "",
                "heading"           => esc_html__("Author name", 'oswald'),
                "param_name"        => "tstm_author",
                "value"             => "",
                "description"       => esc_html__("Provide a title for this list item.", 'oswald'),
                'admin_label'       => true,
            ),
            array(
                "type"              => "textfield",
                "class"             => "",
                "heading"           => esc_html__("Author Position", 'oswald'),
                "param_name"        => "tstm_author_position",
                "value"             => "",
                "description"       => esc_html__("Provide an author position for this list item.", 'oswald'),
                'admin_label'       => true,
            ),
            // Image Section
            array(
                'type'              => 'attach_image',
                'heading'           => esc_html__( 'Image', 'oswald' ),
                'param_name'        => 'image',
                'value'             => '',
                'description'       => esc_html__( 'Select image from media library.', 'oswald' ),
                'admin_label'       => true,
            ),
            array(
                "type"              => "textarea_html",
                "class"             => "",
                "heading"           => esc_html__("Description", 'oswald'),
                "param_name"        => "content",
                "value"             => "",
                "description"       => esc_html__("Description about this list item", 'oswald')
            ),
            array(
                'type'              => 'wpdaddy_custom_select',
                'heading'           => esc_html__('Select Rate', 'oswald'),
                'param_name'        => 'select_rate',
                'options'             => array(
                    esc_html__("none", 'oswald')  => 'none',
                    esc_html__("1", 'oswald')     => '1',
                    esc_html__("2", 'oswald')     => '2',
                    esc_html__("3", 'oswald')     => '3',
                    esc_html__("4", 'oswald')     => '4',
                    esc_html__("5", 'oswald')     => '5',
                ),
                'value' => 'none',
            ),
            array(
                "type"              => "textfield",
                "heading"           => esc_html__("Extra Class", 'oswald'),
                "param_name"        => "item_el_class",
                "description"       => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'oswald')
            )
        )
    ));

    if (class_exists('WPBakeryShortCodesContainer') && !class_exists('WPBakeryShortCode_Wpd_Testimonials')) {
        class WPBakeryShortCode_Wpd_Testimonials extends WPBakeryShortCodesContainer
        {
        }
    }
    if (class_exists('WPBakeryShortCode') && !class_exists('WPBakeryShortCode_Wpd_Testimonial_Item')) {
        class WPBakeryShortCode_Wpd_Testimonial_Item extends WPBakeryShortCode
        {
        }
    }
}