<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

$header_font = oswald_option('header-font');

if (function_exists('vc_map')) {
    vc_map(array(
        'base' => 'wpd_video_popup',
        'name' => esc_html__('Video Popup', 'oswald'),
        "description" => esc_html__("Video Popup Widget", 'oswald'),
        'category' => esc_html__('WPDaddy Modules', 'oswald'),
        'icon' => 'wpdaddy_icon',
        'params' => array(
            array(
                "type" => "textfield",
                "heading" => esc_html__("Title", 'oswald'),
                "param_name" => "video_title",
                "description" => esc_html__("Enter title.", 'oswald')
            ),
            array(
                "type" => "attach_image",
                "heading" => esc_html__("Background Image Video", 'oswald'),
                "param_name" => "bg_image",
                "description" => esc_html__("Select video background image.", 'oswald'),
                'std' => ''
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Video Link", 'oswald'),
                "param_name" => "video_link",
                "description" => esc_html__("Enter video link from youtube or vimeo.", 'oswald')
            ),
            array(
                'type' => 'wpdaddy_custom_select',
                'heading' => esc_html__( 'Icon Align', 'oswald' ),
                'param_name' => 'align',
                "options"         => array(
                    esc_html__( 'left', 'oswald' ) => 'left',
                    esc_html__( 'center', 'oswald' ) => 'center',
                    esc_html__( 'right', 'oswald' ) => 'right',
                ),
                'value' => 'center',
                'save_always' => true,
            ),
            array(
                "type"          => "wpdaddy_on_off",
                "heading"       => esc_html__( 'Icon Shadow', 'oswald' ),
                "param_name"    => "icon_shadow",
                'save_always' => true,
                'std' => 'no',
            ),

            /* styling video popup */
            array(
                "type" => "colorpicker",
                "heading" => esc_html__("Title color", 'oswald'),
                "param_name" => "title_color",
                "value" => esc_attr($header_font['color']),
                "description" => esc_html__("Select custom color for title.", 'oswald'),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            array(
                "type" => "colorpicker",
                "heading" => esc_html__("Button color", 'oswald'),
                "param_name" => "btn_color",
                "value" => esc_attr("#ffffff"),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            array(
                "type" => "colorpicker",
                "heading" => esc_html__("Button Background color", 'oswald'),
                "param_name" => "btn_bg_color",
                "value" => "#f75757",
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            // Video Popup Title Fonts
            array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Use theme default font family for Video Popup title?', 'oswald' ),
                'param_name' => 'use_theme_fonts_vpopup_title',
                'value' => array( esc_html__( 'Yes', 'oswald' ) => 'yes' ),
                'description' => esc_html__( 'Use font family from the theme.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'std' => 'yes',
            ),
            array(
                'type' => 'google_fonts',
                'param_name' => 'google_fonts_vpopup_title',
                'value' => '',
                'settings' => array(
                    'fields' => array(
                        'font_family_description' => esc_html__( 'Select font family.', 'oswald' ),
                        'font_style_description' => esc_html__( 'Select font styling.', 'oswald' ),
                    ),
                ),
                'dependency' => array(
                    'element' => 'use_theme_fonts_vpopup_title',
                    'value_not_equal_to' => 'yes',
                ),
                "group" => esc_html__( "Styling", 'oswald' ),
            ),
            // Icon Box content Font Size
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Video Popup Content Font Size', 'oswald'),
                'param_name' => 'title_size',
                'value' => '14',
                'description' => esc_html__( 'Enter Video Popup Title font-size in pixels.', 'oswald' ),
                "group" => esc_html__( "Styling", 'oswald' ),
                'edit_field_class' => 'vc_col-sm-6',
            ),

            
        ),


    ));
    if (!class_exists('WPBakeryShortCode_WPD_Video_Popup')) {
        class WPBakeryShortCode_WPD_Video_Popup extends WPBakeryShortCode { }
    }    

}