<?php
include_once OSWALD_PRO_PLUGIN_DIR . '/includes/modules/renders/google_fonts_render.php';

$header_font = oswald_option('header-font');
$main_font = oswald_option('main-font');

$defaults = array(
    'build_query' => '',
    'item_el_class' => '',
    'css' => '',
    'css_animation' => '',
    'meta_author' => '',
    'meta_date' => '',
    'meta_comments' => '',
    'meta_likes' => '',
    'meta_categories' => '',
    'items_per_line' => '1',
    'view_type' => 'type1',
    'image_proportions' => 'square',
    'content_alignment' => 'left',
    'use_theme_blog_style' => 'yes',
    'content_letter_count' => '85',
    'spacing_beetween_items' => '30',
    'show_pagination' => '',
    'pagination_style' => '',
    'autoplay_carousel' => 'yes',
    'auto_play_time' => '3000',
    'infinite_scroll' => 'yes',
    'items_per_column' => '1',
    'adaptive_height' => 'yes',
    'use_carousel' => '',
    'post_read_more_link' => '',
    'scroll_items' => 'yes',
    'use_pagination_carousel' => 'yes',
    'use_prev_next_carousel' => '',
    'custom_theme_color' => esc_attr(oswald_option("theme-custom-color")),
    'custom_headings_color' => esc_attr($header_font['color']),
    'custom_content_color' => esc_attr($main_font['color']),
    'heading_font_size' => '',
    'content_font_size' => '',
);

$atts = vc_shortcode_attribute_parse($defaults, $atts);
extract($atts);
$compile = '';

$class_to_filter = vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $item_el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

// Animation
if (! empty($atts['css_animation'])) {
    $animation_class = $this->getCSSAnimation( $atts['css_animation'] );
} else {
    $animation_class = '';
}


$carousel_parent = $boxed_view = '';

if ($use_carousel == 'yes') {
    $carousel_parent = 'wpd_module_carousel';
    $auto_play_time = (int)$auto_play_time;
    wp_enqueue_script('slick');
    switch ($items_per_line) {
        case '1':
            $responsive_1024 = 1;
            $responsive_760 = 1;

            $responsive_sltscrl_1024 = 1;
            $responsive_sltscrl_760 = 1;
            break;
        case '2':
            $responsive_1024 = 2;
            $responsive_760 = 1;
            break;
        case '3':
            $responsive_1024 = 3;
            $responsive_760 = 1;
            break;
        case '4':
            $responsive_1024 = 4;
            $responsive_760 = 1;
            break;

        default:
            $responsive_1024 = 1;
            $responsive_760 = 1;
            break;
    }

    $responsive_sltscrl_1024 = $responsive_1024;
    $responsive_sltscrl_760 = $responsive_760;
    if ($scroll_items == 'yes') {
        $responsive_sltscrl_1024 = $responsive_sltscrl_760 = '1';
    }
    $slick_settings = '';
    $slick_settings .= isset($items_per_line) ? '"slidesToShow": '.esc_attr($items_per_line).',' : '"slidesToShow": 1,';
    if ($scroll_items == 'yes') {
        $slick_settings .= '"slidesToScroll": 1,';
    } else {
        $slick_settings .= '"slidesToScroll": '.esc_attr($items_per_line).',';
    }
    if ($autoplay_carousel == 'yes') {
        $slick_settings .= '"autoplay": true,';
    } else {
        $slick_settings .= '"autoplay": false,';
    }
    $slick_settings .= isset($auto_play_time) ? '"autoplaySpeed": '.esc_attr($auto_play_time).',' : '"autoplaySpeed": 3000,';
    if ($infinite_scroll == 'yes') {
        $slick_settings .= '"infinite": true,';
    } else {
        $slick_settings .= '"infinite": false,';
    }
    if ($use_prev_next_carousel == 'yes') {
        $slick_settings .= '"arrows": false,';
    } else {
        $slick_settings .= '"arrows": true,';
    }
    if ($use_pagination_carousel == 'yes') {
        $slick_settings .= '"dots": false,';
    } else {
        $slick_settings .= '"dots": true,';
    }
    if ($adaptive_height == 'yes') {
        $slick_settings .= '"adaptiveHeight": true,';
    } else {
        $slick_settings .= '"adaptiveHeight": false,';
    }
    $slick_settings .= '"responsive": [{"breakpoint": 1024,"settings": {"slidesToShow": '.esc_attr($responsive_1024).',"slidesToScroll": '.esc_attr($responsive_sltscrl_1024).'}},{"breakpoint": 760, "settings": {"slidesToShow": '.esc_attr($responsive_760).', "slidesToScroll": '.esc_attr($responsive_sltscrl_760).'}} ]';
}


$rand_class = mt_rand(0, 9999);


$parameters = array(
    'image_proportional' => $image_proportions,
    'posts_per_line' => $items_per_line,
    'columns_with_spaces' => $spacing_beetween_items,
    'show_on_full_width' => 'no',
    'blog_type' => $view_type,
);
$options = array(
    'show_likes' => $meta_likes == 'yes',
    'show_categories' => $meta_categories == 'yes',
    'show_author' => $meta_author == 'yes',
    'show_comments' => $meta_comments == 'yes',
    'show_share' => false,
    'show_date' => $meta_date == 'yes',
    'blog_post_listing_content' => true,
    'symbol_count' => $content_letter_count,
    'parameters' => $parameters
);
$ajax_data = $options;
$ajax_data['build_query'] = $build_query;
$data_attrs = " data-ajax-atts='".json_encode($ajax_data)."' data-page-item='1'";

?>

    <div class="wpd_blog_list_wrapper<?php 
    echo !empty($content_alignment) ? ' wpd_blog_list_wrapper--alignment_'.esc_attr($content_alignment) : '';
    echo !empty($animation_class) ? ' '. esc_attr($animation_class) : '';
    echo !empty($css_class) ? ' '.esc_attr($css_class) : ''; 
    echo !empty($view_type) ? ' blog_'.esc_attr($view_type) : '';
    echo !empty($image_proportions) ? ' wpd_blog_list_wrapper--image_'.esc_attr($image_proportions) : '';
    echo !empty($items_per_line) ? ' items'. esc_attr($items_per_line) : '';
    echo !empty($carousel_paren) ? ' '.esc_attr($carousel_parent) : ''; 
    echo !empty($spacing_beetween_items) ? ' wpd_blog_list_wrapper--spacing_'.esc_attr($spacing_beetween_items) : '';
    echo !empty($use_carousel) && $use_carousel == 'yes' ? ' wpd_blog_list_wrapper--carousel' : '';
    ?> class_<?php echo esc_attr($rand_class); ?>" <?php echo ''.$data_attrs; ?>>
        <?php
        list($query_args, $build_query) = vc_build_loop_query($build_query);

        /* sticky_post query */
        $sticky = get_option( 'sticky_posts' );
        $query_args['paged'] = (get_query_var('paged')) ? get_query_var('paged') : 1;

        $default_post_per_page = get_option( 'posts_per_page' );
        $query_args['posts_per_page'] = !empty($query_args['posts_per_page']) ? $query_args['posts_per_page'] : $default_post_per_page;
        if (!empty($query_args['posts_per_page']) && $query_args['paged'] < 2) {
            $sticky = get_option( 'sticky_posts' );
            if (count($sticky) != 0) {
                $posts_count_without_sticky = (int)$query_args['posts_per_page'] - count($sticky);
                if ($posts_count_without_sticky <= 0) {
                    $sticky = array_slice( $sticky, 0, (int)$query_args['posts_per_page'] );
                    $query_args['ignore_sticky_posts'] = 1;
                    $query_args['post__in'] = $sticky;
                }else{
                    $query_args['posts_per_page'] = $posts_count_without_sticky;                    
                }
            }
        }

        global $wpd_wp_query_in_shortcodes;
        $wpd_wp_query_in_shortcodes = new WP_Query($query_args);

        // Default Image Size


        if ($wpd_wp_query_in_shortcodes->have_posts()) {
            $j= 1;
            $n = 1;
            $all_post_count = $wpd_wp_query_in_shortcodes->post_count;

            ?><div class="wpd_blog_list"><?php

            if ($use_carousel == 'yes') {
                ?><div class="wpd_carousel_list" data-slick="{<?php echo esc_attr($slick_settings); ?>}"><?php
            }

            while ($wpd_wp_query_in_shortcodes->have_posts()) {
                $wpd_wp_query_in_shortcodes->the_post();

                if ($j == 1 && $items_per_column !== '1') {
                    echo '<div class="per_column_wrap">';
                }

                oswald_get_template_part( 'template-parts/post/content', '', $options);

                if (($j == $items_per_column || $n == $all_post_count )&& $items_per_column !== '1' ) {
                    echo '</div>';
                }

                $j++;
                if ($j > $items_per_column) {
                    $j = 1;
                }
                $n++;
            }

            if ($use_carousel == 'yes') {
                echo  '</div>';
            }

            ?></div><?php
            if ($use_carousel != 'yes' && $show_pagination == 'yes' && $pagination_style  == 'pagination') {
                echo oswald_get_theme_pagination(5,'show_in_shortcodes'); 
            }elseif(($query_args['posts_per_page'] >= 0) && $wpd_wp_query_in_shortcodes->max_num_pages > 1 && $pagination_style == 'load_more' ){
                $compile .= '<div class="text-center wpd_module_button button_alignment_center"><a href="' . esc_js("javascript:void(0)") . '" class="wpdaddy_blog_load_more shortcode_button button_size_normal">' . esc_html__("Load More", 'oswald') . '</a></div>';
            }
            

            // end while
            wp_reset_postdata();

            if ($view_type !== 'type1') {
                $compile .= '</div>';
            }

        }

        echo  $compile;

        ?>
    </div>

<?php
// Custom Colors
$custom_blog_css = '';

if ($use_theme_blog_style !== 'yes') {
    // Custom Theme Color
    $custom_blog_css .= '.wpd_blog_list_wrapper.class_'.esc_attr($rand_class).' .wpd_blog_list__categories .category a {background-color: '.esc_attr($custom_theme_color).';}';
    $custom_blog_css .= '.wpd_blog_list_wrapper.class_'.esc_attr($rand_class).' .wpd_blog_list__title, .wpd_blog_list_wrapper.class_'.esc_attr($rand_class).' .wpd_blog_list__title a:hover {color: '.esc_attr($custom_headings_color).';}';
    $custom_blog_css .= '.wpd_blog_list_wrapper.class_'.esc_attr($rand_class).' .wpd_blog_list__content{color: '.esc_attr($custom_content_color).';}';
    $custom_blog_css .= '.wpd_blog_list_wrapper.class_'.esc_attr($rand_class).' .wpd_blog_list__title{font-size: '.esc_attr($heading_font_size).'px;line-height: 1.6em;}';
    $custom_blog_css .= '.wpd_blog_list_wrapper.class_'.esc_attr($rand_class).' .wpd_blog_list__content{font-size: '.esc_attr($content_font_size).'px;line-height: 1.6em;}';
}
if (!empty($custom_blog_css) && function_exists('wpd_custom_styles_js')) {
    wpd_custom_styles_js($custom_blog_css);
}
?>