<?php
	include_once OSWALD_PRO_PLUGIN_DIR . '/includes/modules/renders/google_fonts_render.php';
	$defaults = array(
		'thumbnail' => '',
		'image_size' => '',
		'align' => '',
		'heading' => '',
		'text' => '',
		'url' => '',
		'url_text' => '',
		'new_tab' => '',
		'title_tag' => '',
		'title_color' => '',
		'link_color' => '',
		'link_hover_color' => '',
 		'imagebox_title_size' => '',
		'imagebox_content_size' => '',
		'text_color' => '',
		'divider_color' => '',
		'animation_class' => '',
		"add_divider" => '',
	);
	$atts = vc_shortcode_attribute_parse($defaults, $atts);
	extract($atts);

	$compile = '';

	$blank = $new_tab == 'true' ? ' target="_blank"' : '';

	$icon = '';

	if (!empty($thumbnail)) {
		$thumbnail = !empty($thumbnail) ? wp_get_attachment_url($thumbnail, 'full') : '';

		if (!empty($image_size)) {
			$ration = null;
			switch ($image_size) {
			    case "12":
			        if (function_exists('oswald_get_image_srcset')) {
			            $responsive_dimensions = array(
			                    array('1200','1200'),
			                    array('992','992'),
			                    array('768','768')
			                );                       
			            $wpdaddy_featured_image_url = oswald_get_image_srcset($thumbnail,$ration,$responsive_dimensions);
			        }else{
			           $wpdaddy_featured_image_url = 'src="'.aq_resize($thumbnail, "1170", null, true, true, true).'"'; 
			        }
			        
			        break;
			    case "6":
			        if (function_exists('oswald_get_image_srcset')) {
			            $responsive_dimensions = array(
			                array('1200','585'),
			                array('992','475'),
			                array('768','364')
			            );                       
			            $wpdaddy_featured_image_url = oswald_get_image_srcset($thumbnail,$ration,$responsive_dimensions);
			        }else{
			            $wpdaddy_featured_image_url = 'src="'.aq_resize($thumbnail, "570", "570", true, true, true).'"';
			        }
			        break;
			    case "4":
			        if (function_exists('oswald_get_image_srcset')) {
			            $responsive_dimensions = array(
			                array('1200','390'),
			                array('992','317'),
			                array('768','243')
			            ); 
			            $wpdaddy_featured_image_url = oswald_get_image_srcset($thumbnail,$ration,$responsive_dimensions);
			        }else{
			            $wpdaddy_featured_image_url = 'src="'.aq_resize($thumbnail, "370", "370", true, true, true).'"';
			        }
			        break;
			    case "3":
			        if (function_exists('oswald_get_image_srcset')) {
			            $responsive_dimensions = array(
			                array('1200','293'),
			                array('992','238'),
			                array('768','182')
			            );                 
			            $wpdaddy_featured_image_url = oswald_get_image_srcset($thumbnail,$ration,$responsive_dimensions);
			        }else{
			            $wpdaddy_featured_image_url = 'src="'.aq_resize($thumbnail, "270", "270", true, true, true).'"';
			        }
			        break;
			    default:
			        $wpdaddy_featured_image_url = 'src="'.aq_resize($thumbnail, "1170", $ration, true, true, true).'"'; 
			}
		}

		$icon = '';		
		$icon .= '<i class="wpd_icon_box__icon" >';
			$icon .= !empty($url) ? '<a href="'.esc_url($url).'"'.$blank.'>' : '';
				$icon .= '<img '.$wpdaddy_featured_image_url.' alt="">';
			$icon .= !empty($url) ? '</a>' : '';
		$icon .= '</i>';
	}

	// Render Google Fonts
	$obj = new GoogleFontsRender();
	extract( $obj->getAttributes( $atts, false, 'wpd_image_box', array('google_fonts_imagebox_title', 'google_fonts_imagebox_content') ) );

	if ( ! empty( $styles_google_fonts_imagebox_title ) ) {
		$imagebox_title_font = '' . esc_attr( $styles_google_fonts_imagebox_title ) . ';';
	} else {
		$imagebox_title_font = '';
	}

	if ( ! empty( $styles_google_fonts_imagebox_content ) ) {
		$imagebox_content_font = '' . esc_attr( $styles_google_fonts_imagebox_content ) . ';';
	} else {
		$imagebox_content_font = '';
	}

	// Font Size of Title
	if ($imagebox_title_size != '') {
		$imagebox_title_line = $imagebox_title_size * 1.4;
		$imagebox_title_css = 'font-size: ' . $imagebox_title_size . 'px; line-height: ' . $imagebox_title_line . 'px; ';
	} else {
		$imagebox_title_css = ' ';
	}

	// Font Size of Content
	if ($imagebox_content_size != '') {
		$imagebox_content_line = $imagebox_content_size * 1.53;
		$imagebox_content_css = 'font-size: ' . $imagebox_content_size . 'px; line-height: ' . $imagebox_content_line . 'px; ';
	} else {
		$imagebox_content_css = ' ';
	}

	// Animation
	if (! empty($atts['css_animation'])) {
		$animation_class = $this->getCSSAnimation( $atts['css_animation'] );
	} else {
		$animation_class = '';
	}

	if (!empty($heading)) {
		$heading_cont = '<div class="wpd_icon_box__title"><'.esc_html($title_tag).' style="color:'.esc_attr($title_color).';'. esc_attr($imagebox_title_font) . esc_attr($imagebox_title_css) .'">';
			$heading_cont .= !empty($url) ? '<a href="'.esc_url($url).'"'.$blank.'>' : '';
				$heading_cont .= esc_html($heading);
			$heading_cont .= !empty($url) ? '</a>' : '';
			$heading_cont .= !empty($add_divider) && $add_divider == 'yes' ? '<div class="wpd_icon_box-divider" '.(!empty($divider_color) ? 'style="border-bottom-color:'.esc_attr($divider_color).'"' : '' ).' ></div>' : '';
		$heading_cont .= '</'.esc_html($title_tag).'>';		
		$heading_cont .= '</div>';

	}else{
		$heading_cont = '';
	}

	if (!empty($text) || !empty($heading_cont) || !empty($url_text)) {
		$content = '<div class="wpd_icon_box-content-wrapper">';
			$content .= $heading_cont;
			$content .= !empty($text) ?'<div class="wpd_icon_box__text" style="color:'.esc_attr($text_color).';'.esc_attr($imagebox_content_font) . esc_attr($imagebox_content_css).'">'.$text.'</div>' : '';
			$content .= !empty($url_text) ?'<div class="wpd_icon_box__link" style="color:'.(!empty($link_hover_color) ? esc_attr($link_hover_color) : esc_attr($title_color)) .';'.esc_attr($imagebox_content_font).'">'.(!empty($url) ? '<a class="learn_more" href="'.esc_url($url).'" style="color:'.esc_attr($link_color) .';'.esc_attr($imagebox_content_css).'"'.$blank.'>'.esc_html($url_text).' <i class="fa fa-angle-right"></i></a>' : '').'</div>' : '';

		$content .= '</div>';
	}else{
		$content .= '';
	}

	$module_class = '';
	$module_class .= ' '.$animation_class;
	$module_class .= ' wpd-box-image';
	$module_class .= !empty($align) ? ' wpd_image_box--align_'.$align : '';


	$compile .= '<div class="wpd_image_box wpd_icon_box'.esc_attr($module_class).'">';
		$compile .= $icon;
		$compile .= $content;
	$compile .= '</div>';
	
	echo ''.$compile;		