<?php

	$defaults = array(
		'tstm_author' => '',
		'tstm_author_position' => '',
		'image' => '',
		'img_width' => '70',
		'img_height' => '70',
		'round_imgs' => true,
		'item_el_class' => '',
	);

	$atts = vc_shortcode_attribute_parse($defaults, $atts);
	extract($atts);
	$compile = $text_style_html = $sign_styles = $content_style_html = '';
	extract($_POST['wpd_testimonials_opts']);

	$class_to_filter = $this->getExtraClass( $item_el_class );
	$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

	$img_id = preg_replace( '/[^\d]/', '', $image );
	$featured_image = wp_get_attachment_image_src($img_id, 'single-post-thumbnail');
	$featured_image_url = strlen($featured_image[0]) > 0 ? $featured_image[0] : '';
	$featured_image_src = aq_resize($featured_image_url, $img_width*2, $img_height*2, true, true, true);

	// text_style_html start
	$text_style_html .= ' style="';
	
	$text_style_html .= $text_color != '' ? ' color: '.esc_attr($text_color).';' : '';
	$text_style_html .= $testimonilas_text_size != '' ? ' font-size: '.esc_attr($testimonilas_text_size).'px;' : '';

	$text_style_html .= '"';
	// text_style_html end

	// sign_styles start
	$sign_styles .= ' style="';
	
	$sign_styles .= $sign_color != '' ? ' color: '.esc_attr($sign_color).';' : '';
	$sign_styles .= $testimonilas_author_size != '' ? ' font-size: '.esc_attr($testimonilas_author_size).'px;' : '';

	$sign_styles .= '"';
	// sign_styles end

	$star_rate = '';
	if ( !empty($select_rate) && $select_rate != "none" ) {
		$star_rate = '<p class="testimonials-rate-wrap">';
		for ($i = 1; $i <= $select_rate; $i++) {
			$star_rate .= '<i class="fa fa-star"></i>';
		}
		for ($i; $i <= 5; $i++) {
			$star_rate .= '<i class="fa fa-star grey"></i>';
		}
		$star_rate .= '</p>';
	}
	$round_imgs = $round_imgs ? 'class=testimonials_round_img ' : '';

	// Title start
    $title = '<div class="testimonials_title"'.$sign_styles.'><div class="testimonials_author_name">'.esc_html($tstm_author).'</div>';
	if ( !empty($tstm_author_position) ) {
		$title .= '<div class="testimonials_author_position">'.esc_html($tstm_author_position).'</div>';
	}
	$title .= '</div>';
	// Title end

	// Photo start
	if ( !empty($featured_image_url) ) {
		$photo = '<div class="testimonials_photo" style="width:'.(int)$img_width.'px;"><img '.esc_attr($round_imgs).' src="'.$featured_image_src.'" alt="" style="width:'.(int)$img_width.'px; height:'.(int)$img_height.'px;" /></div>';
	}else{
		$photo = '';
	}
	// Photo end

	$compile .= '
        <div class="testimonials_item">
            <div class="testimonial_item_wrapper">
                <div class="testimonials_content" style="'.$content_style_html.'">';
                	switch ( $view_type ) {
                		case 'type1':
                			$compile .= '<div class="testimonials_author_wrapper">';
                				$compile .= $photo;
                				$compile .= $title;
                			$compile .= '</div>';
                			$compile .= '<div class="testimonials-text" '.$text_style_html.'>'.$content.$star_rate.'</div>';
                			break;

                		case 'type2':
                			$compile .= '<div class="testimonials-text" '.$text_style_html.'>'.$content.$star_rate.'</div>';
                			$compile .= $title;
                			$compile .= $photo;
                			break;
                		
                		default:
                			$compile .= '<div class="testimonials-text" '.$text_style_html.'>'.$content.$star_rate.'</div>';
                			$compile .= $photo;
                			$compile .= $title;
                			break;
                	}

    $compile .= '</div>
            </div>
        </div>';
	
	echo ''.$compile;	