<?php

$defaults = array(
    'view_type'             => 'type1',
    'use_carousel'          => true,
    'item_align'            => 'left',
    'auto_play_time'        => 4000,
    'posts_per_line'        => '1',
    'css_animation'         => '',
    'item_el_class'         => '',
    'testimonilas_text_size'          => '16',
    'text_color'            => '',
    'testimonilas_author_size'        => '16',
    'sign_color'            => '',
    'pagination_color'      => '',
    'img_width'             => '70',
    'img_height'            => '70',
    'round_imgs'            => true,
    'css'                   => '',
);

wp_enqueue_script('slick');

$atts = vc_shortcode_attribute_parse($defaults, $atts);
extract($atts);

$_POST['wpd_testimonials_opts'] = array(
    'text_color'    => $text_color,
    'sign_color'    => $sign_color,
    'view_type'     => $view_type,
    'testimonilas_text_size'          => $testimonilas_text_size,
    'testimonilas_author_size'        => $testimonilas_author_size,
    'img_width'     => $img_width,
    'img_height'    => $img_height,
    'round_imgs'    => $round_imgs,
);

$class_to_filter = vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $item_el_class );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts ); 
$css_class .= $use_carousel ? " active-carousel" : "";
$fade = $view_type == "type2" ? true : false;
$posts_per_line = $view_type == 'type2' ? '1' : $posts_per_line;

$css_class .= !empty($item_align) ? ' testimonials_align_'.esc_attr($item_align) : '';

// Animation
$animation_class = !empty($atts['css_animation']) ? $this->getCSSAnimation( $atts['css_animation'] ) : '';
$css_class .= ' '.esc_attr($animation_class);
?>
<div class="vc_row">
    <div class="vc_col-sm-12 module_testimonial <?php echo esc_attr($css_class). ' ' . esc_attr($view_type); ?> " data-slides-per-line="<?php echo (int)$posts_per_line;?>" <?php echo !empty($pagination_color) ? ' data-pagination-color="'.esc_attr($pagination_color).'"' : ''; ?> data-slider-fade="<?php echo esc_attr($fade);?>" data-autoplay-time="<?php echo esc_attr($auto_play_time); ?>" data-image-width="<?php echo esc_attr($img_width);?>">
        <?php 
        if ($view_type == 'type2') {
            echo "<span class='testimonials-photo-wrapper' style='max-width:".(3*(int)$img_width + 30)."px;'></span>";
        }else{
            echo "<span class='testimonials-photo-wrapper'></span>";
        }
        ?>

    	<div class="module_content testimonials_list items<?php echo (int)$posts_per_line;?> ">
            <?php
                if ($use_carousel) {
                    echo '<div class="testimonials_rotator">';
                } else {
                    echo '<div class="testimonials-grid columns-'.(int)$posts_per_line.'">';
                }

                    echo do_shortcode($content);

                if ($use_carousel) {
                    echo '</div><div class="clear"></div>';
                } else{
                    echo '</div>';
                }
            ?>
        </div>
    </div>
</div>