<?php
$layout = oswald_option('portfolio_single_sidebar_layout');
$sidebar = oswald_option('portfolio_single_sidebar_def');
if (class_exists( 'RWMB_Loader' )) {
    $mb_layout = rwmb_meta('mb_page_sidebar_layout');
    if (!empty($mb_layout) && $mb_layout != 'default') {
        $layout = $mb_layout;
        $sidebar = rwmb_meta('mb_page_sidebar_def');
    }
}
$column = 12;
if ( $layout == 'left' || $layout == 'right' ) {
    $column = 9;
}else{
    $sidebar = '';
}
$row_class = ' sidebar_'.$layout;

$mb_show_portfolio_info = rwmb_meta('mb_show_portfolio_info');

get_header ();
?>

<div class="container wpdaddy_portfolio_single">
    <div class="row<?php echo $row_class; ?>">
        <div class="content-container span<?php echo (int)$column; ?>">
            <section id='main_content'>
                <?php
                    while ( have_posts() ):
                        the_post();
                        if (get_post_thumbnail_id(get_the_id())) {
                            $post_img_url = wp_get_attachment_url(get_post_thumbnail_id(get_the_id()), 'single-post-thumbnail');                            
                            if (function_exists('oswald_get_image_srcset')) {
                                $responsive_dimensions = array(
                                    array('1200','1170'),
                                    array('992','950'),
                                    array('768','728')
                                );
                                $wpdaddy_featured_image_url = oswald_get_image_srcset($post_img_url,null,$responsive_dimensions);
                            }else{
                                $wpdaddy_featured_image_url = 'src="'.esc_attr(aq_resize($post_img_url, "1170", "", true, true, true)).'"';
                            }
                            echo '<img '.$wpdaddy_featured_image_url.' class="wpdaddy_single_portfolio_thumbnail" alt="">';
                        }

                        $page_title_conditional = ((oswald_option('page_title_conditional') == '1' || oswald_option('page_title_conditional') == true) && (oswald_option('portfolio_title_conditional') == '1' || oswald_option('portfolio_title_conditional') == true )) ? 'yes' : 'no' ;

                        if (class_exists( 'RWMB_Loader' ) && get_queried_object_id() !== 0) {
                        $mb_page_title_conditional = rwmb_meta('mb_page_title_conditional');
                              if ($mb_page_title_conditional == 'yes') {
                                  $page_title_conditional = 'yes';
                              }elseif($mb_page_title_conditional == 'no'){
                                  $page_title_conditional = 'no';
                              }
                        }

                        if ( $page_title_conditional != 'yes') {
                            ?><div class="wpdaddy_portfolio_title"><?php
                            echo '<h2>'.get_the_title().'</h2>';
                            ?></div><?php
                        } 

                        if ($mb_show_portfolio_info == '1') {
                            $mb_portfolio_info = rwmb_meta('mb_portfolio_info');
                            if (!empty($mb_portfolio_info) && is_array($mb_portfolio_info)) {
                                ?><div class="wpdaddy_portfolio_info__wrapper"><div class="wpdaddy_portfolio_info"><?php
                                foreach ($mb_portfolio_info as $mb_portfolio_info_item) {
                                    if (!empty($mb_portfolio_info_item) && is_array($mb_portfolio_info_item)) {
                                        if (!empty($mb_portfolio_info_item['custom_field_type'])) {
                                            switch ($mb_portfolio_info_item['custom_field_type']) {
                                                case 'category':                                                 
                                                    if ($mb_portfolio_info_item['value'] == '1') {
                                                        ?><div class="wpdaddy_portfolio_info__item"><?php
                                                        if (!empty($mb_portfolio_info_item['name'])) {
                                                            ?><h4 class="wpdaddy_portfolio_info__item_title"><?php echo $mb_portfolio_info_item['name']; ?></h4><?php
                                                            $post_cats = wp_get_post_terms(get_the_id(), 'portfolio-category');
                                                            ?><div class="wpdaddy_portfolio_info__item_category_wrapper"><?php
                                                            for ($i=0; $i<count( $post_cats ); $i++) {
                                                                $post_cat_term = $post_cats[$i];
                                                                $post_cat_name = $post_cat_term->slug;
                                                                if ($i > 0) {
                                                                    ?><span class="wpdaddy_portfolio_list__categories_delimiter">, </span><?php
                                                                }
                                                                ?><a href="<?php echo esc_url(get_term_link($post_cat_term->term_id,'portfolio-category')); ?>"><?php echo $post_cat_term->name; ?></a><?php
                                                            }
                                                            ?></div><?php
                                                        }
                                                        ?></div><?php
                                                    }
                                                    break;
                                                case 'date':
                                                    if ($mb_portfolio_info_item['value'] == '1') {
                                                        ?><div class="wpdaddy_portfolio_info__item"><?php
                                                        if (!empty($mb_portfolio_info_item['name'])) {
                                                            ?><h4 class="wpdaddy_portfolio_info__item_title"><?php echo $mb_portfolio_info_item['name']; ?></h4><?php
                                                        }
                                                            ?><div class="wpdaddy_portfolio_info__item_date"><?php
                                                            $unixTime = get_the_time('U');
                                                            $compile = '';
                                                            if ((current_time('timestamp') - $unixTime) < DAY_IN_SECONDS) {
                                                                echo human_time_diff($unixTime, current_time('timestamp')) . ' ' . esc_html__("ago", 'wpdaddy_core');
                                                            }else{
                                                                echo esc_html(get_the_time(get_option( 'date_format' )));                
                                                            }
                                                            ?></div><?php
                                                        ?></div><?php
                                                    }
                                                    break;
                                                case 'share':
                                                    if ($mb_portfolio_info_item['value'] == '1' && oswald_option('portfolio_post_share')) {
                                                        ?><div class="wpdaddy_portfolio_info__item"><?php
                                                        if (!empty($mb_portfolio_info_item['name'])) {
                                                            ?><h4 class="wpdaddy_portfolio_info__item_title"><?php echo $mb_portfolio_info_item['name']; ?></h4><?php
                                                        }
                                                            $mb_show_portfolio_facebook = rwmb_meta('mb_show_portfolio_facebook');
                                                            $mb_show_portfolio_google = rwmb_meta('mb_show_portfolio_google');
                                                            $mb_show_portfolio_twitter = rwmb_meta('mb_show_portfolio_twitter');
                                                            $mb_show_portfolio_pinterest = rwmb_meta('mb_show_portfolio_pinterest');

                                                            ?><ul class="wpdaddy_portfolio_info__item_share"><?php
                                                                if ($mb_show_portfolio_facebook == '1') {
                                                                    ?><li><a target="_blank" href="<?php echo esc_url('https://www.facebook.com/share.php?u='. get_permalink()); ?>" class="share_facebook"><span class="fa fa-facebook"></span><?php echo esc_html_e('Facebook','wpdaddy_core'); ?></a></li><?php
                                                                }
                                                                if ($mb_show_portfolio_twitter == '1') {
                                                                    ?><li><a target="_blank" href="<?php echo esc_url('https://twitter.com/intent/tweet?text='. get_the_title() .'&amp;url='. get_permalink()); ?>" class="share_twitter"><span class="fa fa-twitter"></span><?php echo esc_html_e('Twitter','wpdaddy_core'); ?></a></li><?php
                                                                }
                                                                if ($mb_show_portfolio_google == '1') {
                                                                    ?><li><a target="_blank" href="<?php echo 'https://plus.google.com/share?url='.urlencode(get_permalink()); ?>" class="share_gplus"><span class="fa fa-google-plus"></span><?php echo esc_html_e('Google+','wpdaddy_core'); ?></a></li><?php
                                                                }
                                                                if ($mb_show_portfolio_pinterest == '1' && has_post_thumbnail()) {
                                                                    ?><li><a target="_blank" href="<?php echo esc_url('https://pinterest.com/pin/create/button/?url=' . get_permalink() .'&media='. get_the_post_thumbnail());?>" class="share_pinterest"><span class="fa fa-pinterest"></span><?php echo esc_html_e('Pinterest','wpdaddy_core'); ?></a></li><?php
                                                                }          
                                                            ?></ul><?php
                                                        ?></div><?php
                                                    }
                                                    break;
                                            }
                                        }else{
                                            ?><div class="wpdaddy_portfolio_info__item"><?php
                                                if (!empty($mb_portfolio_info_item['name'])) {
                                                    ?><h4 class="wpdaddy_portfolio_info__item_title"><?php echo $mb_portfolio_info_item['name']; ?></h4><?php
                                                }
                                                ?><div class="wpdaddy_portfolio_info__item_adding"><?php
                                                    if (!empty($mb_portfolio_info_item['address'])) {
                                                        ?><a href="<?php echo esc_url($mb_portfolio_info_item['address']); ?>"><?php
                                                    }
                                                    if (!empty($mb_portfolio_info_item['description'])) {
                                                        ?><div class="wpdaddy_portfolio_info__item_text"><?php
                                                        echo $mb_portfolio_info_item['description'];
                                                        ?></div><?php
                                                    }
                                                    if (!empty($mb_portfolio_info_item['address'])) {
                                                        ?></a><?php
                                                    }
                                                ?></div><?php
                                            ?></div><?php
                                        }
                                    }
                                }
                                ?></div></div><?php

                            }
                        }

                    endwhile;
                    the_content(esc_html__('Read more!', 'wpdaddy_core'));
                    if (true) {
                        ?><div class="wpdaddy_portfolio__footer"><?php
                            $post_tag = wp_get_post_terms(get_the_id(), 'portfolio-tag');
                            ?><div class="wpdaddy_portfolio_info__item_tag_wrapper"><?php
                            for ($i=0; $i<count( $post_tag ); $i++) {
                                $post_tag_term = $post_tag[$i];
                                $post_tag_name = $post_tag_term->slug;
                                ?><a href="<?php echo esc_url(get_term_link($post_tag_term->term_id,'portfolio-tag')); ?>"><?php echo $post_tag_term->name; ?></a><?php
                            }
                            ?></div><?php

                            //portfolio like and comments count
                            ?><div class="wpdaddy_portfolio__like_and_comments"><?php
                                if (oswald_option('portfolio_likes')) {
                                    $all_likes = oswald_get_option("likes");
                                    wp_enqueue_script('jquery.cookie');
                                    if (isset($all_likes[get_the_ID()]) && $all_likes[get_the_ID()] == 1) {
                                        $likes_text_label = esc_html__('Like', 'wpdaddy_core');
                                    } else {
                                        $likes_text_label = esc_html__('Likes', 'wpdaddy_core');
                                    }
                                    ?>
                                    <div class="wpd_list__post_likes likes_block post_likes_add<?php echo isset($_COOKIE['like_post'.get_the_ID()]) ? ' already_liked' : ''; ?>" data-postid="<?php echo esc_attr(get_the_ID()); ?>"  data-modify="like_post" title="<?php echo (isset($all_likes[get_the_ID()]) ? $all_likes[get_the_ID()] : 0 ). ' ' . $likes_text_label; ?>">
                                        <span class="wpd_post_likes__icon fa fa-heart-o"></span>
                                        <span class="wpd_post_likes__value like_count"><?php echo ((isset($all_likes[get_the_ID()]) && $all_likes[get_the_ID()]>0) ? $all_likes[get_the_ID()] : 0);?></span></span>
                                    </div><?php
                                }
                                if (oswald_option('portfolio_comments')) {
                                    $comments_num = '' . get_comments_number(get_the_ID()) . '';
                                    if ($comments_num == 1) {
                                        $comments_text = '' . esc_html__('comment', 'wpdaddy_core') . '';
                                    } else {
                                        $comments_text = '' . esc_html__('comments', 'wpdaddy_core') . '';
                                    }

                                    ?>
                                    <div class="wpd_blog_list__comments_link">
                                        <a href="<?php echo esc_url(get_comments_link()); ?>" title="<?php echo (int)get_comments_number(get_the_ID()) . ' ' . $comments_text;; ?>">
                                            <span class="wpd_post_comments__icon fa fa-commenting"></span>
                                            <span class="wpd_post_comments__value"><?php echo esc_html(get_comments_number(get_the_ID())); ?></span>
                                        </a>
                                    </div><?php
                                }

                            ?></div><?php

                        ?></div><?php
                    }
                    the_post_navigation( array(
                        'prev_text' => '<span>' . __( 'Prev', 'wpdaddy_core' ) . '</span>',
                        'next_text' => '<span>' . __( 'Next', 'wpdaddy_core' ) . '</span>',
                    ));
                    wp_reset_postdata();

                    if ( (comments_open() || get_comments_number()) && oswald_option('portfolio_comments') == "1") :
                        comments_template();
                    endif;

                ?>
            </section>

        </div>
        <?php
        if ($layout == 'left' || $layout == 'right') {
            echo '<div class="sidebar-container span'.(12 - (int)$column).'">';
                if (is_active_sidebar( $sidebar )) {
                    echo "<aside class='sidebar'>";
                    dynamic_sidebar( $sidebar );
                    echo "</aside>";
                }
            echo "</div>";
        }
        ?>
    </div>
    
</div>

<?php
get_footer();